<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Subscription extends Model
{
    use HasFactory;

    protected $table = 'subscription';

    // Define the fillable attributes
    protected $fillable = [
        'user_id',
        'full_name',
        'email',
        'phone_number',
        'date_received',
        'delivery_frequency',
        'prescription',
        'upload_prescription',
        'discount_proof'
    ];

    // Define the relationship with the User model
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    // Define the relationship with SubscriptionTransaction
    public function transactions()
    {
        return $this->hasMany(SubscriptionTransaction::class);
    }
}
