<x-app-layout>
    <div class="container max-w-screen-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold">Create Banner</h1>

        <form action="{{ route('banners.store') }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="mb-4">
                <label for="title" class="block text-gray-700">Title:</label>
                <textarea required id="title" name="title"
                    class="w-full p-2 border border-gray-300 rounded"></textarea>
                @error('title')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="subtitle" class="block text-gray-700">Subtitle:</label>
                <textarea id="subtitle" name="subtitle" class="w-full p-2 border border-gray-300 rounded"></textarea>
                @error('subtitle')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="banner_type" class="block text-gray-700">Banner Type:</label>
                <select id="banner_type" name="banner_type" class="w-full p-2 border border-gray-300 rounded">
                    <option value="" disabled selected>Select Banner Type</option>
                    <option value="Home Banner">Home Banner</option>
                    <option value="Middle Banner">Middle Banner</option>
                    <option value="Side Banner">Side Banner</option>
                    <option value="Upper Banner">Upper Banner</option>
                </select>
                @error('banner_type')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <div class="mb-4">
                <label for="image" class="block text-gray-700">Image (optional):</label>
                <input type="file" id="image" name="image"
                    accept="image/webp,image/jpg,image/jpeg,image/png,image/gif"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('image')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Submit</button>
        </form>
    </div>


    <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>

    <script>
        CKEDITOR.replace('title');
        CKEDITOR.replace('subtitle');
    </script>
</x-app-layout>