<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Blogs')

@section('content')

@include('layouts.navbar')

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="{{asset('images/about_us/img-banner.png')}}" alt="">
    <div class="relative text-center py-14">
        <h1 class="text-xl text-white">Home - Blogs</h1>
    </div>
</div>


<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto">
        <div class="grid grid-cols-1 gap-4 overflow-hidden lg:grid-cols-3">
            <div data-aos="fade-right"
                data-aos-duration="1500">
                @include('layouts.blogs_filter')
            </div>
            <div data-aos="fade-left"
                data-aos-duration="1500" class="space-y-4 lg:col-span-2">
                <h1 class="text-4xl font-bold">{{$blogs->title}}</h1>
                <div class="flex items-center space-x-8 text-gray-500">
                    <div class="flex items-center space-x-2">
                        <i class='bx bx-calendar-alt'></i>
                        <h1>{{$blogs->created_at}}</h1>
                    </div>
                    <div class="flex items-center space-x-2">
                        <i class='bx bx-list-ol'></i>
                        <h1>{{$blogs->category->name}}</h1>
                    </div>
                </div>
                <img src="{{asset($blogs->image)}}" alt="">
                <div>
                    {!!$blogs->description!!}
                </div>
            </div>

        </div>
    </div>
</div>


@include('layouts.footer')
@endsection