<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Cart')

@section('content')

@include('layouts.navbar')

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="{{asset('images/about_us/img-banner.png')}}" alt="">
    <div class="relative text-center py-14">
        <h1 class="text-xl text-white">Home - Cart</h1>
    </div>
</div>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl py-8 mx-auto">
        <div class="grid grid-cols-1 gap-8 px-4 md:grid-cols-3">
            <div class="flex flex-col justify-between bg-white md:col-span-2 md:flex-row rounded-3xl">
                <div class="flex flex-col justify-center p-8 space-y-4">
                    <h1 class="text-[#cf000f] font-bold">LOGIN</h1>
                    <div>
                        <label for="email">Email Address / Mobile Number</label>
                        <input type="text" class="border border-[#cf000f] w-full rounded-full text-sm" placeholder="Enter email or mobile number">
                    </div>
                    <div>
                        <label for="text">Password</label>
                        <input type="password" class="border border-[#cf000f] w-full rounded-full text-sm" placeholder="Enter password">
                    </div>
                    <div class="flex justify-end text-[#cf000f]">
                        <a href="">Forgot Password?</a>
                    </div>
                    <div>
                        <button class="bg-[#cf000f] text-white w-full rounded-full py-2" onclick="toggleModal()">Login</button>
                    </div>
                    <div class="text-center text-gray-500">
                        New here? <span class="font-bold text-[#cf000f]">Create an Account</span>
                    </div>
                </div>
                <div>
                    <img class="object-cover w-full h-full rounded-r-3xl" src="{{asset('images/shop/img-login.png')}}" alt="">
                </div>
            </div>
            <div>
                <div class="p-8 space-y-4 bg-white rounded-xl">
                    <h1 class="font-bold">CART TOTAL </h1>
                    <div class="flex items-center justify-between">
                        <h1 class="font-bold">Subtotal</h1>
                        <p class="text-gray-500">₱99.00</p>
                    </div>
                    <hr class="my-4 border-gray-400">
                    <div class="flex items-center justify-between text-gray-500">
                        <h1>Shipping</h1>
                        <p>TBD</p>
                    </div>
                    <div class="flex items-center justify-between text-gray-500">
                        <h1>Discounts</h1>
                        <p>-₱40.00</p>
                    </div>
                    <div class="flex items-center justify-between text-gray-500">
                        <h1>Redeemed Points</h1>
                        <p>-₱40.00</p>
                    </div>
                    <div class="flex items-center justify-between text-gray-500">
                        <h1>Tax</h1>
                        <p>₱40.00</p>
                    </div>
                    <hr class="my-4 border-gray-400">

                    <div class="flex items-center justify-between">
                        <h1 class="font-bold">Estimated Total</h1>
                        <p>₱99.00</p>
                    </div>
                    <div>
                        <button class="w-full p-2  text-white bg-[#cf000f] rounded-full">Proceed to Checkout</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="loginModal" onclick="toggleModal()" class="fixed inset-0 flex items-center justify-center hidden bg-gray-800 bg-opacity-50">
    <div class="w-full p-8 space-y-4 bg-white lg:w-1/3 rounded-3xl">
        <div class="flex justify-center">
            <img src="{{asset('images/shop/icon-check.png')}}" alt="">
        </div>
        <p class="mb-4 text-xl text-center">Login Successful!</p>
    </div>
</div>

<script>
    function toggleModal() {
        const modal = document.getElementById('loginModal');
        modal.classList.toggle('hidden');
    }
</script>
@include('layouts.footer')
@endsection