<h1 class="text-[#cf000f] text-xl font-bold">Billing Information</h1>
<div class="grid grid-cols-1 gap-4 text-xs md:grid-cols-3">
    <!-- Billing Fields -->
    @foreach ([
    'First Name' => 'first_name',
    'Last Name' => 'last_name',
    'Middle Name' => 'middle_name',
    'Email Address' => 'email',
    'Phone Number' => 'phone_number',
    'Street Address' => 'street_address',
    'City' => 'city',
    'State/Province' => 'state',
    'Country' => 'country',
    'ZIP/Postal Code' => 'zip_code',
    ] as $label => $name)
    <div>
        <label for="{{ $name }}">{{ $label }}</label>
        <input type="text" id="{{ $name }}" name="{{ $name }}" class="w-full bg-transparent border border-gray-400 rounded">
    </div>
    @endforeach
</div>

<!-- Ship to a Different Address -->
<div class="flex items-center py-4 space-x-2">
    <input id="toggle-shipping" type="checkbox" class="w-4 h-4 text-blue-600 bg-transparent border-black rounded">
    <label for="toggle-shipping" class="text-sm font-bold text-black">SHIP TO A DIFFERENT ADDRESS?</label>
</div>
<div id="shipping-address-fields" class="grid hidden grid-cols-1 gap-4 text-xs md:grid-cols-3">
    @foreach ([
    'First Name' => 'shipping_first_name',
    'Last Name' => 'shipping_last_name',
    'Street Address' => 'shipping_street_address',
    'City' => 'shipping_city',
    'ZIP/Postal Code' => 'shipping_zip_code',
    ] as $label => $name)
    <div>
        <label for="{{ $name }}">{{ $label }}</label>
        <input type="text" id="{{ $name }}" name="{{ $name }}" class="w-full bg-transparent border border-gray-400 rounded">
    </div>
    @endforeach
</div>

<script>
    document.getElementById('toggle-shipping').addEventListener('change', function() {
        const shippingFields = document.getElementById('shipping-address-fields');
        shippingFields.classList.toggle('hidden', !this.checked);
    });
</script>