<footer class="bg-white">
    <div class="container px-4 py-8 mx-auto ">
        <div class="grid grid-cols-1 gap-8 md:grid-cols-2 lg:grid-cols-6">
            <div class="space-y-4 md:col-span-2">
                <img src="{{asset('images/homepage/logo-footer.webp')}}" alt="">
                <p>Your trusted partner for health and wellness. We offer a wide range of quality products and personlaized care, while prioritizing sustainability and community engagement.</p>
                <div>
                    <h1 class="text-xl ">Follow Us</h1>
                    <div class="flex flex-wrap items-center gap-4">
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="{{asset('images/homepage/icon-fb.webp')}}" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="{{asset('images/homepage/icon-ig.webp')}}" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="{{asset('images/homepage/icon-linkedin.webp')}}" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="{{asset('images/homepage/icon-whatsapp.webp')}}" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="{{asset('images/homepage/icon-x.webp')}}" alt="">
                        </div>
                    </div>
                </div>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Main Categories</h1>
                <ul class="space-y-2">
                    @php
                    $categories = \App\Models\Category::limit(8)->get();  // Fetch categories from the database
                    @endphp

                    @foreach ($categories as $category)
                    <li>
                        <a href="{{ url('shop') }}?category={{ $category->name }}">{{ $category->name }}</a>
                    </li>
                    @endforeach
                </ul>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Quick Links</h1>
                <ul class="space-y-2">
                    <li><a href="{{url('')}}">Home</a></li>
                    <li><a href="{{url('/about_us')}}">About Us</a></li>
                    <li><a href="{{url('/shop')}}">Shop</a></li>
                    <li><a href="{{url('/blogs')}}">Blog</a></li>
                    <li><a href="{{url('/contact_us')}}">Contact Us</a></li>
                </ul>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Contact Information</h1>
                <ul class="space-y-2">
                    <li><a href="">P7 Poblacion, Sta.Josefa, Agusan del Sur, 8512</a></li>
                    <li><a href="">Email: gardosedrugstore@info.com</a></li>
                    <li><a href="">Phone: +63 (9) 000 0000 00</a></li>
                </ul>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Sign Up to Newsletter</h1>
                <p>Stay Updated" or "Join Our Newsletter.</p>

                <form action="{{ route('save.newsletter') }}" method="POST">
                    @csrf
                    <div class="w-full">
                        <div class="w-full ">
                            <div class="flex">
                                <input type="email" name="email" id="email" value="{{old('email')}}" class="w-full pl-2 text-xs font-semibold text-center bg-white border outline-0 " placeholder="ENTER YOUR EMAIL" />
                                <button type="submit">
                                    <img class="bg-[#cf000f] p-2" src="{{asset('images/homepage/icon-send.webp')}}" alt="">
                                </button>

                            </div>
                            @error('email')
                            <span class="text-red-500"> {{ $message }} </span>
                            @enderror
                        </div>
                    </div>
                </form>

            </div>
        </div>
        <hr class="border-[#cf000f] my-8">
        <div class="text-sm">
            <h1>Copyright © Gardose Drugstore 2024. Designed and Developed by <span> <a href="{{url('https://rwebsolutions.com.ph/')}}">R Web Solutions Corp.</a></span></h1>
        </div>
    </div>
</footer>