<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Login')

@section('content')

@include('layouts.navbar')

<div class="bg-gray-100">
    <div class="container max-w-screen-lg px-4 py-8 mx-auto">
        <h1 class="text-[#cf000f] font-bold text-center pb-8 text-2xl">LOGIN</h1>
        <form method="POST" action="{{ route('login.submit') }}">
            @csrf
            <div class="grid justify-between grid-cols-1 bg-white md:grid-cols-3 md:flex-row rounded-3xl">
                <div class="md:col-span-2">
                    <div class="flex flex-col justify-center p-4 space-y-4 md:p-12">
                        <h1 class="pb-8 font-bold text-black">Welcome Back! Log in to Your Account</h1>



                        <!-- Email Input with Error Display -->
                        <div>
                            <label for="email">Email Address</label>
                            <input type="email" id="email" name="email" value="{{ old('email') }}"
                                class="border border-[#cf000f] w-full rounded-full p-2"
                                placeholder="Enter email or mobile number">
                            @error('email')
                            <p class="text-sm text-red-500">{{ $message }}</p>
                            @enderror
                        </div>

                        <!-- Password Input with Error Display -->
                        <div>
                            <label for="password">Password</label>
                            <input type="password" name="password" id="password" value="{{ old('password') }}"
                                class="border border-[#cf000f] w-full rounded-full  p-2"
                                placeholder="Enter password">
                            @error('password')
                            <p class="text-sm text-red-500">{{ $message }}</p>
                            @enderror
                        </div>

                        <div class="flex justify-end text-[#cf000f]">
                            <a href="{{ url('forgot_password') }}">Forgot Password?</a>
                        </div>

                        <!-- Submit Button -->
                        <div>
                            <button class="bg-[#cf000f] text-white w-full rounded-full py-2" type="submit">Login</button>
                        </div>

                        <!-- Registration Link -->
                        <div class="text-center text-gray-500">
                            New here? <a href="{{ url('register') }}"><span class="font-bold text-[#cf000f]">Create an Account</span></a>
                        </div>
                    </div>
                </div>

                <!-- Image Section -->
                <div>
                    <img class="object-cover w-full h-full rounded-r-2xl" src="{{ asset('images/shop/img-login.png') }}" alt="">
                </div>
            </div>
        </form>

    </div>
</div>




@include('layouts.footer')
@endsection