<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Forgot Password')

@section('content')

@include('layouts.navbar')
<form method="POST" action="{{ route('passwords.updates') }}">
    @csrf
    <div class="bg-gray-100">
        <div class="container max-w-screen-md px-4 py-8 mx-auto">
            <h1 class="text-[#cf000f] font-bold text-center pb-8 text-2xl">Forgot Password</h1>

            <div class="flex flex-col justify-between col-span-2 bg-white md:flex-row rounded-3xl">

                <div class="flex flex-col p-8 space-y-4">
                    <h1 class="pb-8 font-bold text-black">Make sure your password is strong and secure. Use a combination of letters,number, and special characters.</h1>
                    <div>
                        <label for="password">New Password</label>
                        <input type="password" id="password" name="password" class="border border-[#cf000f] w-full rounded-full" placeholder="Enter new password">
                    </div>

                    <div>
                        <label for="password_confirmation">Confirm New Passowrd</label>
                        <input type="password" id="password_confirmation" name="password_confirmation" class="border border-[#cf000f] w-full rounded-full" placeholder="Re-enter new password">
                    </div>
                    <div>
                        <button class="bg-[#cf000f] text-white w-full rounded-full py-2" type="submit">Reset Password</button>
                    </div>

                </div>
                <div>
                    <img class="object-cover w-full h-full rounded-r-2xl " src="{{asset('images/shop/img-login.png')}}" alt="">
                </div>
            </div>
        </div>
    </div>
</form>


@include('layouts.footer')
@endsection