<!-- contact_us.blade.php -->
@extends('layouts.main-app')

@section('title', 'Success')

@section('content')

@include('layouts.navbar')

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto space-y-4">
        <div class="py-8 text-center bg-white">
            <h1 class="text-4xl text-green-400">Thank you. Your order has been received.</h1>
        </div>

        <div class="p-8 bg-gray-200">
            <div class="grid grid-cols-1 gap-4 text-sm md:grid-cols-3 xl:grid-cols-6">
                <div>
                    <h1>Order Number:</h1>
                    <h1 class="font-bold">#{{ str_pad($order->id, 6, '0', STR_PAD_LEFT) }}</h1>
                </div>
                <div>
                    <h1>Date:</h1>
                    <h1 class="font-bold">{{ $order->created_at->format('F d, Y') }}</h1>
                </div>
                <div>
                    <h1>Email:</h1>
                    <h1 class="font-bold">{{ $order->billingInformation->email }}</h1>
                </div>
                <div>
                    <h1>Mobile Number:</h1>
                    <h1 class="font-bold">{{ $order->billingInformation->phone_number }}</h1>
                </div>
                <div>
                    <h1>Total:</h1>
                    <h1 class="font-bold">₱{{ number_format($order->total, 2) }}</h1>
                </div>
                <div>
                    <h1>Payment method:</h1>
                    <h1 class="font-bold">{{ $order->payment_method }}</h1>
                </div>
            </div>
        </div>

        <div class="space-y-4">
            <h1>ORDER DETAILS</h1>
            <div class="grid grid-cols-2 text-sm">
                <div class="p-4 font-bold border">Product</div>
                <div class="p-4 font-bold border">Total</div>

                @foreach ($order->orderDetails as $detail)
                <div class="p-4 border">{{ $detail->product->name }} x{{ $detail->quantity }}</div>
                <div class="p-4 border">₱{{ number_format($detail->subtotal, 2) }}</div>
                @endforeach

                <div class="p-4 border">Subtotal</div>
                <div class="p-4 border">₱{{ number_format($order->orderDetails->sum('subtotal'), 2) }}</div>

                <!-- <div class="p-4 border">Shipping</div>
                <div class="p-4 border">₱{{ number_format($order->shipping_fee, 2) }}</div> -->

                <div class="p-4 border">Discounts</div>
                <div class="p-4 border">-₱{{ number_format($order->discount, 2) }}</div>
                <!-- 
                <div class="p-4 border">Tax</div>
                <div class="p-4 border">₱{{ number_format($order->tax, 2) }}</div> -->


                <div class="p-4 border">Redeem Points Used</div>
                <div class="p-4 border">-₱{{ number_format($order->redeemed_points, 2) }}</div> <!-- Display redeem points -->
                <div class="p-4 border">Total</div>
                <div class="p-4 border">₱{{ number_format($order->total, 2) }}</div>

                <div class="p-4 border">Payment Method</div>
                <div class="p-4 border">{{ $order->payment_method }}</div>
                <div class="p-4 border">Note</div>
                <div class="p-4 border">{{ $order->notes }}</div>
            </div>

            <div>
                <h1 class="font-bold">BILLING ADDRESS</h1>
                <ul class="text-sm">
                    <li>{{ $order->billingInformation->first_name }} {{ $order->billingInformation->middle_name }} {{ $order->billingInformation->last_name }}</li>
                    <li>{{ $order->billingInformation->email }}</li>
                    <li>{{ $order->billingInformation->phone }}</li>
                    <li>{{ $order->billingInformation->street_address }}</li>
                    <li>{{ $order->billingInformation->city }}</li>
                    <li>{{ $order->billingInformation->state }}</li>
                    <li>{{ $order->billingInformation->country }}</li>
                    <li>{{ $order->billingInformation->zip_code }}</li>
                </ul>
            </div>
        </div>
    </div>
</div>

@include('layouts.footer')
@endsection