<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto">
        <div class="grid grid-cols-1 gap-8 md:grid-cols-3">
            <div>
                <?php echo $__env->make('layouts.shop_filter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="space-y-8 md:col-span-2">
                <div class="grid grid-cols-1 gap-8 md:grid-cols-2">
                    <div class="flex flex-col gap-4">
                        <div class="relative w-full zoom-container">
                            <!-- Main image that will be zoomed -->
                            <img id="main-image" src="<?php echo e(asset($product_details->images->first()->image)); ?>" alt="Main Image" class="w-full h-auto">

                            <!-- Zoom lens that will display the zoomed area -->
                            <div id="zoom-lens" class="zoom-lens"></div>
                        </div>

                        <div>
                            <div class="relative w-full">
                                <div class="relative swiper product-slide-carousel swiper-container">
                                    <div class="mb-16 swiper-wrapper">
                                        <?php $__currentLoopData = $product_details->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="swiper-slide">
                                            <div>
                                                <img onclick="updateMainImage(this)" class="p-2 bg-white cursor-pointer" src="<?php echo e(asset($image->image)); ?>" alt="Thumbnail">
                                            </div>
                                        </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="space-y-4">
                        <h1 class="text-2xl font-semibold"><?php echo e($product_details->name); ?></h1>
                        <h1 class="text-[#cf000f] font-semibold">₱<?php echo e(number_format($product_details->price, 2)); ?></h1>
                        <ul>
                            <li><span class="font-bold">Brand:</span> <?php echo e($product_details->brand->brand_name); ?></li>
                            <li><span class="font-bold">Category:</span> <?php echo e($product_details->category->name); ?></li>
                            <li><span class="font-bold">Stock:</span> <?php echo e($product_details->stock); ?></li>
                        </ul>
                        <div class="space-y-4">
                            <h1>Quantity:</h1>


                            <div class="flex items-center space-x-2">
                                <button type="button"
                                    class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white"
                                    onclick="decrementQuantity(<?php echo e($product_details->id); ?>)">-</button>
                                <span id="quantity-display-<?php echo e($product_details->id); ?>" class="px-4">1</span>
                                <button type="button"
                                    class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white"
                                    onclick="incrementQuantity(<?php echo e($product_details->id); ?>)">+</button>
                            </div>

                            <div class="flex flex-wrap items-center gap-4">
                                <form action="<?php echo e(route('cart.store')); ?>" method="POST" class="flex flex-col items-center space-y-2">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="product_id" value="<?php echo e($product_details->id); ?>">
                                    <input type="hidden" id="quantity-<?php echo e($product_details->id); ?>" name="quantity" value="1">

                                    <!-- Add to Cart Button -->
                                    <button type="submit" class="bg-[#cf000f] flex text-white rounded-full px-6 py-2">Add to Cart <img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt=""></button>
                                </form>

                                <?php if(Auth::check()): ?>
                                <form action="<?php echo e(route('wishlist.store', ['product_id' => $product_details->id, 'customer_id' => Auth::user()->id])); ?>" method="POST" enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <button type="submit" class="flex px-6 py-2 border border-[#cf000f] bg-white rounded-full">
                                        <img class="pr-4" src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                        Add to Wishlist </button>
                                </form>
                                <?php else: ?>
                                <a href="<?php echo e(url('wishlist')); ?>">
                                    <?php echo csrf_field(); ?>
                                    <button type="submit" class="flex px-6 py-2 border border-[#cf000f] bg-white rounded-full">
                                        <img class="pr-4" src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                        Add to Wishlist </button>
                                </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="grid grid-cols-1 lg:grid-cols-3">
                    <div class="py-2 text-center bg-white border border-black">
                        <h1 class="text-[#cf000f]">PRODUCT DETAILS</h1>
                    </div>
                    <div class="py-2 text-center bg-white border border-black">
                        <h1 class="text-[#cf000f]">REVIEWS</h1>
                    </div>
                    <div class="py-2 text-center bg-white border border-black">
                        <h1 class="text-[#cf000f]">SHIPPING AND RETURNS</h1>
                    </div>
                </div>
                <div>
                    <?php echo $product_details->description; ?>

                </div>
            </div>
        </div>
        <hr class="border-[#cf000f] my-4">
        <div class="flex flex-wrap items-center justify-between">
            <h1 class="text-[#cf000f] font-bold">YOU MAY ALSO LIKE</h1>
            <a href="<?php echo e(url('shop')); ?>"> <button class="text-[#cf000f] flex items-center">View All Products <i class='text-2xl bx bx-chevron-right'></i></button></a>

        </div>
        <div>
            <div class="relative w-full">
                <div class="relative swiper multiple-slide-carousel swiper-container">
                    <div class="mb-16 swiper-wrapper">

                        <?php
                        $products = $products->shuffle(); // Shuffle the collection
                        ?>

                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="swiper-slide">
                            <a href="<?php echo e(url('product_details', $product->id)); ?>">
                                <div class="flex flex-col">
                                    <img class="object-contain p-4 bg-white h-60" src="<?php echo e(asset($product->images->first()->image)); ?>" alt="">
                                    <div class="px-2">
                                        <div class="flex items-center justify-between space-y-2">
                                            <h1 class="text-sm"><?php echo e($product->name); ?></h1>
                                            <?php if(Auth::check()): ?>
                                            <form action="<?php echo e(route('wishlist.store', ['product_id' => $product->id, 'customer_id' => Auth::user()->id])); ?>" method="POST">
                                                <?php echo csrf_field(); ?>
                                                <button type="submit">
                                                    <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                                </button>
                                            </form>
                                            <?php else: ?>
                                            <a href="<?php echo e(url('wishlist')); ?>">
                                                <button type="submit">
                                                    <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                                </button>
                                            </a>
                                            <?php endif; ?>
                                        </div>
                                        <p class="font-bold text-[#cf000f]">₱<?php echo e(number_format($product->price, 2)); ?></p>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    function incrementQuantity(productId) {
        const quantityInput = document.getElementById(`quantity-${productId}`);
        const quantityDisplay = document.getElementById(`quantity-display-${productId}`);
        let quantity = parseInt(quantityInput.value);

        quantity++;
        quantityInput.value = quantity;
        quantityDisplay.textContent = quantity;
    }

    function decrementQuantity(productId) {
        const quantityInput = document.getElementById(`quantity-${productId}`);
        const quantityDisplay = document.getElementById(`quantity-display-${productId}`);
        let quantity = parseInt(quantityInput.value);

        if (quantity > 1) { // Optional: Prevent quantity from going below 1
            quantity--;
            quantityInput.value = quantity;
            quantityDisplay.textContent = quantity;
        }
    }
</script>
<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/product_details.blade.php ENDPATH**/ ?>