<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Place Order'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/about_us/img-banner.png')); ?>" alt="">
    <div class="relative text-center py-14">
        <h1 class="text-xl text-white">My Cart</h1>
    </div>
</div>
<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 mx-auto">
        <!-- Display errors -->
        <?php if($errors->any()): ?>
        <div class="p-4 mb-4 text-white bg-red-500 rounded">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
        <?php endif; ?>
        <form action="<?php echo e(route('submit.billing')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <div class="grid grid-cols-1 gap-8 py-8 lg:grid-cols-3">
                <div class="lg:col-span-2">
                    <h1 class="text-[#cf000f] text-xl font-bold">Billing Information</h1>
                    <div class="grid grid-cols-1 gap-4 text-sm md:grid-cols-3">
                        <input type="text" value="<?php echo e($billing->id ?? ""); ?>" name="billing_id" id="billing_id" readonly hidden>

                        <div>
                            <label for="first_name">First Name</label>
                            <input
                                type="text"
                                id="first_name"
                                name="first_name"
                                value="<?php echo e(old('first_name', $billing->first_name ?? '')); ?>"
                                class="w-full p-2 bg-transparent border border-gray-400 rounded"
                                <?php echo e(isset($billing) && $billing->first_name ? 'readonly' : ''); ?>>
                        </div>

                        <div>
                            <label for="last_name">Last Name</label>
                            <input type="text" id="last_name" name="last_name" value="<?php echo e(old('last_name', $billing->last_name ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->last_name ? 'readonly' : ''); ?>>
                        </div>

                        <div>
                            <label for="middle_name">Middle Name</label>
                            <input type="text" id="middle_name" name="middle_name" value="<?php echo e(old('middle_name', $billing->middle_name ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->middle_name ? 'readonly' : ''); ?>>
                        </div>

                        <div>
                            <label for="email">Email Address</label>
                            <input type="text" id="email" name="email" value="<?php echo e(old('email', $billing->email ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->email ? 'readonly' : ''); ?>>
                        </div>

                        <div>
                            <label for="phone_number">Phone Number</label>
                            <input type="text" id="phone_number" name="phone_number" value="<?php echo e(old('phone_number', $billing->phone_number ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->phone_number ? 'readonly' : ''); ?>>
                        </div>

                        <div></div>

                        <div class="md:col-span-2">
                            <label for="street_address">Street Address</label>
                            <input type="text" id="street_address" name="street_address" value="<?php echo e(old('street_address', $billing->street_address ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->street_address ? 'readonly' : ''); ?>>
                        </div>

                        <div></div>

                        <div>
                            <label for="city">City</label>
                            <input type="text" id="city" name="city" value="<?php echo e(old('city', $billing->city ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->city ? 'readonly' : ''); ?>>
                        </div>

                        <div>
                            <label for="state">State/Province</label>
                            <input type="text" id="state" name="state" value="<?php echo e(old('state', $billing->state ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->state ? 'readonly' : ''); ?>>
                        </div>

                        <div class="grid grid-cols-2 gap-4">
                            <div>
                                <label for="country">Country</label>
                                <input type="text" id="country" name="country" value="<?php echo e(old('country', $billing->country ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->country ? 'readonly' : ''); ?>>
                            </div>

                            <div>
                                <label for="zip_code">ZIP/Postal Code</label>
                                <input type="text" id="zip_code" name="zip_code" value="<?php echo e(old('zip_code', $billing->zip_code ?? '')); ?>" class="w-full p-2 bg-transparent border border-gray-400 rounded" <?php echo e(isset($billing) && $billing->zip_code ? 'readonly' : ''); ?>>
                            </div>
                        </div>
                    </div>

                    <div class="flex items-center py-4 space-x-2">
                        <input id="checkbox-table-search-1" name="checkbox-table-search-1" type="checkbox" class="w-4 h-4 text-blue-600 bg-transparent border-black rounded ">
                        <label for="checkbox-table-search-1" class="text-sm font-bold text-black">SHIP TO A DIFFERENT ADDRESS? </label>
                    </div>

                    <div id="shipping-address-fields" class="grid hidden grid-cols-1 gap-4 text-sm md:grid-cols-3">
                        <div>
                            <label for="first_name">First Name</label>
                            <input type="text" id="shipping_first_name" name="shipping_first_name" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="last_name">Last Name</label>
                            <input type="text" id="shipping_last_name" name="shipping_last_name" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="middle_name">Middle Name</label>
                            <input type="text" id="shipping_middle_name" name="shipping_middle_name" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="email">Email Address</label>
                            <input type="text" id="shipping_email" name="shipping_email" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="phone_number">Phone Number</label>
                            <input type="text" id="shipping_phone_number" name="shipping_phone_number" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div></div>
                        <div class="md:col-span-2">
                            <label for="street_address">Street Address</label>
                            <input type="text" id="shipping_street_address" name="shipping_street_address" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div></div>
                        <div>
                            <label for="city">City</label>
                            <input type="text" id="shipping_city" name="shipping_city" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div>
                            <label for="state">State/Province</label>
                            <input type="text" id="shipping_state" name="shipping_state" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                        </div>
                        <div class="grid grid-cols-2 gap-4">
                            <div>
                                <label for="country">Country</label>
                                <input type="text" id="shipping_country" name="shipping_country" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                            </div>
                            <div>
                                <label for="zip_code">ZIP/Postal Code</label>
                                <input type="text" id="shipping_zip_code" name="shipping_zip_code" class="w-full p-2 bg-transparent border border-gray-400 rounded">
                            </div>
                        </div>
                    </div>

                    <script>
                        document.getElementById('checkbox-table-search-1').addEventListener('change', function() {
                            const shippingFields = document.getElementById('shipping-address-fields');
                            shippingFields.classList.toggle('hidden', !this.checked);
                        });
                    </script>
                    <hr class="my-2 border border-gray-300">
                    <div>
                        <label for="notes">Order notes(optional)</label>
                        <textarea name="notes" id="notes" class="w-full p-2 bg-transparent border border-gray-400 rounded-xl" rows="5" placeholder="Notes about your order, e.g. special notes for delivery"></textarea>
                    </div>
                </div>
                <div>
                    <div class="p-8 space-y-4 bg-white rounded-xl">
                        <h1 class="font-bold">ORDER SUMMARY</h1>
                        <div class="flex items-center justify-between">
                            <h1 class="font-bold">Product</h1>
                            <p class="text-gray-500">Price</p>
                        </div>

                        <?php
                        // Retrieve cart data from session
                        $cartData = session('cart_data', []);
                        $subtotal = 0;

                        // Calculate the subtotal of the products in the cart
                        foreach ($cartData as $item) {
                        $subtotal += $item['subtotal'];
                        }

                        // Retrieve additional data
                        $shipping = session('shipping', 0); // Placeholder for shipping cost
                        $voucherCode = session('voucher_code');
                        $discount = session('voucher_discount', 0); // Placeholder for discount
                        $redeemedPoints = session('redeem_points', 0); // Default to 0 if not set
                        $tax = session('tax', 40.00); // Placeholder for tax value

                        // Calculate the total amount
                        $total = $subtotal - $redeemedPoints - $discount;
                        ?>


                        <?php $__currentLoopData = $cartData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="flex items-center justify-between text-gray-500">
                            <h1><?php echo e($item['product_name']); ?> <span class="font-bold text-black">x<?php echo e($item['quantity']); ?></span></h1>
                            <p>₱<?php echo e(number_format($item['subtotal'], 2)); ?></p>
                        </div>
                        <input type="text" readonly hidden name="product_id[]" value="<?php echo e($item['product_id']); ?>">
                        <input type="text" readonly hidden name="quantity[]" value="<?php echo e($item['quantity']); ?>">
                        <input type="text" readonly hidden name="subtotal[]" value="<?php echo e($item['subtotal']); ?>">
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <hr class="my-4 border-gray-400">
                        <input type="text" id="voucher_code" hidden readonly name="voucher_code" class="w-full p-2 border rounded" value="<?php echo e($voucherCode); ?>">

                        <!-- Subtotal Calculation -->
                        <div class="flex items-center justify-between">
                            <h1 class="font-bold">Subtotal</h1>
                            <p class="text-gray-500">₱<?php echo e(number_format($subtotal, 2)); ?></p>
                        </div>

                        <hr class="my-4 border-gray-400">

                        <div class="flex items-center justify-between text-gray-500">
                            <h1>Redeemed Points</h1>
                            <p>-₱<?php echo e(number_format($redeemedPoints, 2)); ?></p>
                        </div>

                        <div class="flex items-center justify-between text-gray-500">
                            <h1>Discounts</h1>
                            <p>-₱<?php echo e(number_format($discount, 2)); ?></p>
                        </div>
                        <input type="text" id="discount" hidden readonly name="discount" class="w-full p-2 border rounded" value="<?php echo e($discount); ?>">
                        <hr class="my-4 border-gray-400">

                        <div class="flex items-center justify-between">
                            <h1 class="font-bold">Total</h1>
                            <p>₱<?php echo e(number_format($total, 2)); ?></p>
                        </div>
                        <input type="text" name="total" hidden readonly value="<?php echo e($total); ?>">

                        <hr class="my-4 border-gray-400">
                        <label for="payment_method_types">Payment Method</label><br>
                        <div class="flex items-center space-x-2">
                            <input type="radio" id="gcash" name="payment_method_types" value="gcash">
                            <label for="gcash">GCash</label><br>
                        </div>
                        <div class="flex items-center space-x-2">
                            <input type="radio" id="card" name="payment_method_types" value="card">
                            <label for="card">Card</label><br>
                        </div>

                        <hr class="my-4 border-gray-400">
                        <p class="text-sm">Your personal data will be used to process your order, support your experience throughout this website, and for other purposes described in our <span class="underline text-[#cf000f]">privacy policy</span></p>

                        <div class="flex items-start space-x-2">
                            <input required id="" type="checkbox" class="w-4 h-4 text-blue-600 bg-white border-black rounded ">
                            <label for="" class="text-sm text-black">I have read and agree to the website <span class="underline text-[#cf000f]">terms and condition</span> </label>
                        </div>
                        <input type="hidden" name="redeemed_points" value="<?php echo e($redeemedPoints); ?>">
                        <div>
                            <button type="submit" class="w-full p-2 text-white bg-[#cf000f] rounded-full">Place Order</button>
                        </div>

                    </div>
                </div>

            </div>
        </form>
    </div>
</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/place_order.blade.php ENDPATH**/ ?>