<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Purchase'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="container max-w-screen-xl px-4 mx-auto">

    <div class="py-8 space-y-4">
        <div class="flex ">
            <h1 class="text-xl font-semibold text-[#cf000f]">My Purchase History</h1>

        </div>
        <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
            <table class="w-full text-sm text-left text-gray-500 rtl:text-right ">
                <thead class="text-sm text-[#cf000f]  bg-gray-50 ">
                    <tr>
                        <th scope="col" class="p-3 text-nowrap">
                            Order Number
                        </th>
                        <th scope="col" class="px-6 py-3 ">
                            Date
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Status
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Order Total
                        </th>

                        <th scope="col" class="px-6 py-3">
                            Points
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Courier
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Shipping Fee
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Uploaded Prescription
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Discount Proof
                        </th>
                        <th scope="col" class="px-6 py-3">
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $orders->sortByDesc('created_at'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="bg-white border-b hover:bg-gray-50">
                        <td class="w-4 p-4">
                            #<?php echo e(str_pad($order->id, 6, '0', STR_PAD_LEFT)); ?>

                        </td>
                        <th scope="row" class="flex items-center px-6 py-4 font-medium text-gray-900 whitespace-nowrap">
                            <?php echo e($order->created_at->format('F d, Y')); ?>

                        </th>
                        <td class="px-6 py-4">
                            <?php echo e($order->status); ?>

                        </td>
                        <td class="px-6 py-4">
                            ₱<?php echo e(number_format($order->total, 2)); ?>

                        </td>
                        <td class="px-6 py-4">
                            <?php echo e(floor($order->total / 100)); ?> Points
                        </td>
                        <td class="text-nowrap">
                            <?php echo e($order->shipping ? $order->shipping->courier : "No courier yet"); ?>

                        </td>
                        <td class="px-6 py-4 text-nowrap">
                            <?php echo e($order->shipping ? $order->shipping->shipping_fee : "No shipping fee yet"); ?>

                        </td>
                        <td>
                            <div class="flex justify-center">
                                <img class="object-cover w-16 rounded-md" src="<?php echo e(asset($order->upload_prescription)); ?>" alt="">
                            </div>
                        </td>
                        <td class="px-6 py-4">
                            <div class="flex justify-center">
                                <img class="object-cover w-16 rounded-md" src="<?php echo e(asset($order->discount_proof)); ?>" alt="">
                            </div>
                        </td>
                        <td class="px-6 py-4">
                            <a href="#" class="text-sm font-medium text-[#cf000f] view-details text-nowrap"
                                data-order-id="<?php echo e($order->id); ?>"
                                data-order-status="<?php echo e($order->status); ?>"
                                data-order-payment="<?php echo e($order->payment_method); ?>"
                                data-order-date="<?php echo e($order->created_at->format('F d, Y')); ?>"
                                data-order-total="<?php echo e(number_format($order->total, 2)); ?>"
                                data-billing-info="<?php echo e(json_encode($order->billingInformation)); ?>"
                                data-order-details="<?php echo e(json_encode($order->orderDetails)); ?>"
                                data-order-courier="<?php echo e($order->shipping ? $order->shipping->courier : 'No courier yet'); ?>"
                                data-order-shipping-fee="<?php echo e($order->shipping ? $order->shipping->shipping_fee : 'No shipping fee yet'); ?>"
                                data-uploaded-prescription="<?php echo e(asset($order->upload_prescription)); ?>"
                                data-discount-proof="<?php echo e(asset($order->discount_proof)); ?>">View Details</a>

                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </tbody>
            </table>
        </div>
    </div>
</div>


<div id="orderModal" class="fixed inset-0 z-50 flex items-center justify-center hidden bg-black bg-opacity-50">
    <div class="w-full sm:w-3/4 md:w-1/2 lg:w-1/2 p-4 sm:p-6 bg-white rounded-lg shadow-lg overflow-auto max-h-[90vh]">
        <button id="closeModal" class="absolute top-0 right-0 m-4 text-gray-500">&times;</button>
        <h2 class="mb-4 text-2xl font-semibold">Order Details</h2>
        <hr class="my-4">
        <div class="grid grid-cols-1 gap-4 sm:grid-cols-6">
            <div>
                <p><strong>Order ID:</strong> </p>
            </div>
            <div class="col-span-5"><span id="order-id"></span></div>

            <div>
                <p><strong>Date:</strong> </p>
            </div>
            <div class="col-span-5"><span id="order-date"></span></div>

            <div>
                <p><strong>Order Status:</strong> </p>
            </div>
            <div class="col-span-5"><span id="order-status"></span></div>

            <div>
                <p><strong>Payment Method:</strong> </p>
            </div>
            <div class="col-span-5"><span id="order-payment"></span></div>

            <div>
                <p><strong>Total:</strong> </p>
            </div>
            <div class="col-span-5"><span id="order-total"></span></div>

            <!-- Courier and Shipping Fee -->
            <div>
                <p><strong>Courier:</strong> </p>
            </div>
            <div class="col-span-5"><span id="order-courier"></span></div>

            <div>
                <p><strong>Shipping Fee:</strong> </p>
            </div>
            <div class="col-span-5"><span id="order-shipping-fee"></span></div>

            <!-- Uploaded Prescription and Discount Proof -->
            <div>
                <p><strong>Uploaded Prescription:</strong> </p>
            </div>
            <div class="col-span-5">
                <img id="uploaded-prescription" class="object-cover w-20 " alt="" />
            </div>

            <div>
                <p><strong>Discount Proof:</strong> </p>
            </div>
            <div class="col-span-5">
                <img id="discount-proof" class="object-cover w-20 " alt="" />
            </div>

            <div>
                <h3><strong>Shipping Address</strong></h3>

            </div>

            <div class="col-span-5">
                <div>
                    <span id="billing-name"></span><br>
                    <span id="billing-email"></span><br>
                    <span id="billing-phone_number"></span><br>
                    <span id="billing-street_address"></span><br>
                    <span id="billing-city"></span><br>
                    <span id="billing-state"></span><br>
                    <span id="billing-country"></span><br>
                    <span id="billing-zip_code"></span><br>
                </div>
            </div>
        </div>



        <hr class="my-4">

        <h3 class="mt-4 text-xl"><strong>Items in Order</strong></h3>

        <!-- Start Table for Order Details -->
        <div class="overflow-x-auto">
            <table class="min-w-full border-collapse table-auto">
                <thead>
                    <tr>
                        <th class="p-2 text-[#cf000f] text-start">Product Image</th>
                        <th class="p-2 text-[#cf000f] text-start">Price</th>
                        <th class="p-2 text-[#cf000f] text-start">Quantity</th>
                        <th class="p-2 text-[#cf000f] text-start">Subtotal</th>
                    </tr>
                </thead>
                <tbody id="order-details">
                    <!-- Each product will have its own row with an ID for name, quantity, price, and image -->
                    <tr id="product-1">
                        <td class="p-2 "><img id="product-image-1" src="" alt="Product Image" class="object-cover w-16 h-16"></td>
                        <td class="p-2 "><span id="product-quantity-1"></span></td>
                        <td class="p-2 ">₱<span id="product-price-1"></span></td>
                    </tr>
                    <!-- Repeat similar rows for other products (product-2, product-3, etc.) -->
                </tbody>
            </table>
        </div>
        <!-- End Table for Order Details -->
    </div>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        // Get modal and close button
        const orderModal = document.getElementById('orderModal');
        const closeModalButton = document.getElementById('closeModal');

        // Loop through each "View Details" link and add event listeners
        const viewDetailsLinks = document.querySelectorAll('.view-details');

        viewDetailsLinks.forEach(link => {
            link.addEventListener('click', function(e) {
                e.preventDefault();

                const orderId = link.getAttribute('data-order-id');
                const orderStatus = link.getAttribute('data-order-status');
                const payment = link.getAttribute('data-order-payment');
                const orderDate = link.getAttribute('data-order-date');
                const orderTotal = link.getAttribute('data-order-total');
                const billingInfo = JSON.parse(link.getAttribute('data-billing-info'));
                const orderDetails = JSON.parse(link.getAttribute('data-order-details'));
                const courier = link.getAttribute('data-order-courier');
                const shippingFee = link.getAttribute('data-order-shipping-fee');
                const uploadedPrescription = link.getAttribute('data-uploaded-prescription');
                const discountProof = link.getAttribute('data-discount-proof');

                // Populate modal with the data using IDs
                populateOrderModal(orderId, orderStatus, payment, orderDate, orderTotal, billingInfo, orderDetails, courier, shippingFee, uploadedPrescription, discountProof);

                // Show the modal
                orderModal.classList.remove('hidden');
            });
        });

        // Close the modal when close button is clicked
        closeModalButton.addEventListener('click', function() {
            orderModal.classList.add('hidden');
        });

        // Close the modal if clicked outside of it
        orderModal.addEventListener('click', function(e) {
            if (e.target === orderModal) {
                orderModal.classList.add('hidden');
            }
        });
    });

    // Function to populate the modal with order data using IDs
    function populateOrderModal(orderId, orderStatus, payment, orderDate, orderTotal, billingInfo, orderDetails, courier, shippingFee, uploadedPrescription, discountProof) {
        // Populate Order ID, Status, Date, and Total
        document.getElementById('order-id').textContent = `#${orderId}`;
        document.getElementById('order-status').textContent = orderStatus;
        document.getElementById('order-payment').textContent = payment;
        document.getElementById('order-date').textContent = orderDate;
        document.getElementById('order-total').textContent = `₱${orderTotal}`;

        // Populate Courier and Shipping Fee
        document.getElementById('order-courier').textContent = courier || "No courier yet";
        document.getElementById('order-shipping-fee').textContent = shippingFee || "No shipping fee yet";

        // Populate Uploaded Prescription and Discount Proof
        document.getElementById('uploaded-prescription').src = uploadedPrescription || 'default-image.jpg';
        document.getElementById('discount-proof').src = discountProof || 'default-image.jpg';

        // Populate Billing Information
        document.getElementById('billing-name').textContent = `${billingInfo.first_name} ${billingInfo.middle_name} ${billingInfo.last_name}`;
        document.getElementById('billing-email').textContent = billingInfo.email;
        document.getElementById('billing-phone_number').textContent = billingInfo.phone_number;
        document.getElementById('billing-street_address').textContent = billingInfo.street_address;
        document.getElementById('billing-city').textContent = billingInfo.city;
        document.getElementById('billing-state').textContent = billingInfo.state;
        document.getElementById('billing-country').textContent = billingInfo.country;
        document.getElementById('billing-zip_code').textContent = billingInfo.zip_code;

        // Populate Order Details (Products)
        const orderDetailsContainer = document.getElementById('order-details');
        orderDetailsContainer.innerHTML = ''; // Clear previous content

        orderDetails.forEach(detail => {
            const product = detail.product;
            const firstImage = product.images.length > 0 ? product.images[0].image : 'default-image.jpg';
            const totalPrice = (product.price * detail.quantity).toFixed(2);

            const row = document.createElement('tr');
            row.innerHTML = `
            <td class="px-4 py-2">
                <img src="${firstImage}" alt="" class="inline-block object-cover w-16 h-16">
                <span>${product.name}</span>
            </td>
            <td class="px-4 py-2">₱${product.price}</td>
            <td class="px-4 py-2">${detail.quantity}</td>
            <td class="px-4 py-2">₱${detail.subtotal}</td>
        `;
            orderDetailsContainer.appendChild(row);
        });
    }
</script>


<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/purchase_history.blade.php ENDPATH**/ ?>