<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Shop'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


<?php echo $__env->make('layouts.brands', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl py-8 mx-auto space-y-8">
        <div data-aos="fade-up"
            data-aos-duration="1500">
            <h1 class="text-[#cf000f] font-bold text-2xl">CATEGORIES</h1>
            <?php echo $__env->make('layouts.category', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <div class="grid gap-8 px-4 overflow-hidden lg:grid-cols-3">
            <div data-aos="fade-right"
                data-aos-duration="1500">
                <?php echo $__env->make('layouts.shop_filter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div data-aos="fade-left"
                data-aos-duration="1500" class="lg:col-span-2">
                <div class="flex flex-wrap items-center justify-between gap-4">
                    <div>
                        <h1>Showing <?php echo e($products->firstItem()); ?>-<?php echo e($products->lastItem()); ?> of <?php echo e($products->total()); ?> Products</h1>
                    </div>
                    <div class="flex items-center space-x-2">
                        <h1 class="text-nowrap">Sort By</h1>
                        <form action="<?php echo e(url('shop')); ?>" method="GET">
                            <select name="sort_by" class="border border-[#cf000f] w-40 h-full p-2 bg-white rounded" onchange="this.form.submit()">
                                <option value=""></option>
                                <option value="date" <?php echo e(request('sort_by') == 'date' ? 'selected' : ''); ?>>Date</option>
                                <option value="title" <?php echo e(request('sort_by') == 'title' ? 'selected' : ''); ?>>Title</option>
                            </select>
                        </form>
                    </div>
                </div>

                <div class="grid grid-cols-1 gap-4 pt-4 md:grid-cols-2 lg:grid-cols-3 xl:grid-cols-4">
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php echo $__env->make('layouts.product', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
                <div class="flex items-center justify-end my-4 space-x-8">
                    <div>
                        <?php if($products->onFirstPage()): ?>
                        <button id="prev-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]" disabled><i class='bx bx-chevron-left'></i></button>
                        <?php else: ?>
                        <a href="<?php echo e($products->previousPageUrl()); ?>">
                            <button id="prev-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]"><i class='bx bx-chevron-left'></i></button>
                        </a>
                        <?php endif; ?>
                    </div>
                    <div class="flex flex-wrap gap-2">
                        <?php $__currentLoopData = $products->getUrlRange(1, $products->lastPage()); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page => $url): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <a href="<?php echo e($url); ?>">
                            <button class="w-8 h-8 text-sm bg-white rounded-full <?php echo e($page == $products->currentPage() ? 'bg-red-600 text-white' : ''); ?>">
                                <?php echo e($page); ?>

                            </button>
                        </a>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <div>
                        <?php if($products->hasMorePages()): ?>
                        <a href="<?php echo e($products->nextPageUrl()); ?>">
                            <button id="next-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]"><i class='bx bx-chevron-right'></i></button>
                        </a>
                        <?php else: ?>
                        <button id="next-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]" disabled><i class='bx bx-chevron-right'></i></button>
                        <?php endif; ?>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/shop.blade.php ENDPATH**/ ?>