<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Success'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto space-y-4">
        <div class="py-8 text-center bg-white">
            <h1 class="text-4xl text-green-400">Thank you. Your order has been received.</h1>
        </div>

        <div class="p-8 bg-gray-200">
            <div class="grid grid-cols-1 gap-4 text-sm md:grid-cols-3 xl:grid-cols-6">
                <div>
                    <h1>Order Number:</h1>
                    <h1 class="font-bold">#<?php echo e(str_pad($order->id, 6, '0', STR_PAD_LEFT)); ?></h1>
                </div>
                <div>
                    <h1>Date:</h1>
                    <h1 class="font-bold"><?php echo e($order->created_at->format('F d, Y')); ?></h1>
                </div>
                <div>
                    <h1>Email:</h1>
                    <h1 class="font-bold"><?php echo e($order->billingInformation->email); ?></h1>
                </div>
                <div>
                    <h1>Mobile Number:</h1>
                    <h1 class="font-bold"><?php echo e($order->billingInformation->phone_number); ?></h1>
                </div>
                <div>
                    <h1>Total:</h1>
                    <h1 class="font-bold">₱<?php echo e(number_format($order->total, 2)); ?></h1>
                </div>
                <div>
                    <h1>Payment method:</h1>
                    <h1 class="font-bold"><?php echo e($order->payment_method); ?></h1>
                </div>
            </div>
        </div>

        <div class="space-y-4">
            <h1>ORDER DETAILS</h1>
            <div class="grid grid-cols-2 text-sm">
                <div class="p-4 font-bold border">Product</div>
                <div class="p-4 font-bold border">Total</div>

                <?php $__currentLoopData = $order->orderDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="p-4 border"><?php echo e($detail->product->name); ?> x<?php echo e($detail->quantity); ?></div>
                <div class="p-4 border">₱<?php echo e(number_format($detail->subtotal, 2)); ?></div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                <div class="p-4 border">Subtotal</div>
                <div class="p-4 border">₱<?php echo e(number_format($order->orderDetails->sum('subtotal'), 2)); ?></div>

                <!-- <div class="p-4 border">Shipping</div>
                <div class="p-4 border">₱<?php echo e(number_format($order->shipping_fee, 2)); ?></div> -->

                <div class="p-4 border">Discounts</div>
                <div class="p-4 border">-₱<?php echo e(number_format($order->discount, 2)); ?></div>
                <!-- 
                <div class="p-4 border">Tax</div>
                <div class="p-4 border">₱<?php echo e(number_format($order->tax, 2)); ?></div> -->


                <div class="p-4 border">Redeem Points Used</div>
                <div class="p-4 border">-₱<?php echo e(number_format($order->redeemed_points, 2)); ?></div> <!-- Display redeem points -->
                <div class="p-4 border">Total</div>
                <div class="p-4 border">₱<?php echo e(number_format($order->total, 2)); ?></div>

                <div class="p-4 border">Payment Method</div>
                <div class="p-4 border"><?php echo e($order->payment_method); ?></div>
                <div class="p-4 border">Note</div>
                <div class="p-4 border"><?php echo e($order->notes); ?></div>
            </div>

            <div>
                <h1 class="font-bold">BILLING ADDRESS</h1>
                <ul class="text-sm">
                    <li><?php echo e($order->billingInformation->first_name); ?> <?php echo e($order->billingInformation->middle_name); ?> <?php echo e($order->billingInformation->last_name); ?></li>
                    <li><?php echo e($order->billingInformation->email); ?></li>
                    <li><?php echo e($order->billingInformation->phone); ?></li>
                    <li><?php echo e($order->billingInformation->street_address); ?></li>
                    <li><?php echo e($order->billingInformation->city); ?></li>
                    <li><?php echo e($order->billingInformation->state); ?></li>
                    <li><?php echo e($order->billingInformation->country); ?></li>
                    <li><?php echo e($order->billingInformation->zip_code); ?></li>
                </ul>
            </div>
        </div>
    </div>
</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/success.blade.php ENDPATH**/ ?>