<footer class="bg-white">
    <div class="container px-4 py-8 mx-auto ">
        <div class="grid grid-cols-1 gap-8 md:grid-cols-2 lg:grid-cols-6">
            <div class="space-y-4 md:col-span-2">
                <img src="<?php echo e(asset('images/homepage/logo-footer.webp')); ?>" alt="">
                <p>Your trusted partner for health and wellness. We offer a wide range of quality products and personlaized care, while prioritizing sustainability and community engagement.</p>
                <div>
                    <h1 class="text-xl ">Follow Us</h1>
                    <div class="flex flex-wrap items-center gap-4">
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="<?php echo e(asset('images/homepage/icon-fb.webp')); ?>" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="<?php echo e(asset('images/homepage/icon-ig.webp')); ?>" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="<?php echo e(asset('images/homepage/icon-linkedin.webp')); ?>" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="<?php echo e(asset('images/homepage/icon-whatsapp.webp')); ?>" alt="">
                        </div>
                        <div class="flex justify-center h-12 px-4 py-2 border border-gray-600 w-14">
                            <img class="object-contain" src="<?php echo e(asset('images/homepage/icon-x.webp')); ?>" alt="">
                        </div>
                    </div>
                </div>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Main Categories</h1>
                <ul class="space-y-2">
                    <?php
                    $categories = \App\Models\Category::limit(8)->get();  // Fetch categories from the database
                    ?>

                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li>
                        <a href="<?php echo e(url('shop')); ?>?category=<?php echo e($category->name); ?>"><?php echo e($category->name); ?></a>
                    </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Quick Links</h1>
                <ul class="space-y-2">
                    <li><a href="<?php echo e(url('')); ?>">Home</a></li>
                    <li><a href="<?php echo e(url('/about_us')); ?>">About Us</a></li>
                    <li><a href="<?php echo e(url('/shop')); ?>">Shop</a></li>
                    <li><a href="<?php echo e(url('/blogs')); ?>">Blog</a></li>
                    <li><a href="<?php echo e(url('/contact_us')); ?>">Contact Us</a></li>
                </ul>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Contact Information</h1>
                <ul class="space-y-2">
                    <li><a href="">P7 Poblacion, Sta.Josefa, Agusan del Sur, 8512</a></li>
                    <li><a href="">Email: gardosedrugstore@info.com</a></li>
                    <li><a href="">Phone: +63 (9) 000 0000 00</a></li>
                </ul>
            </div>
            <div class="space-y-8">
                <h1 class="text-xl font-bold">Sign Up to Newsletter</h1>
                <p>Stay Updated" or "Join Our Newsletter.</p>

                <form action="<?php echo e(route('save.newsletter')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="w-full">
                        <div class="w-full ">
                            <div class="flex">
                                <input type="email" name="email" id="email" value="<?php echo e(old('email')); ?>" class="w-full pl-2 text-xs font-semibold text-center bg-white border outline-0 " placeholder="ENTER YOUR EMAIL" />
                                <button type="submit">
                                    <img class="bg-[#cf000f] p-2" src="<?php echo e(asset('images/homepage/icon-send.webp')); ?>" alt="">
                                </button>

                            </div>
                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-red-500"> <?php echo e($message); ?> </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                </form>

            </div>
        </div>
        <hr class="border-[#cf000f] my-8">
        <div class="text-sm">
            <h1>Copyright © Gardose Drugstore 2024. Designed and Developed by <span> <a href="<?php echo e(url('https://rwebsolutions.com.ph/')); ?>">R Web Solutions Corp.</a></span></h1>
        </div>
    </div>
</footer><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/layouts/footer.blade.php ENDPATH**/ ?>