<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Products'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto">
        <div class="grid grid-cols-1 gap-8 overflow-hidden md:grid-cols-3">
            <div data-aos="fade-right"
                data-aos-duration="1500">
                <?php echo $__env->make('layouts.shop_filter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div data-aos="fade-left"
                data-aos-duration="1500" class="space-y-8 md:col-span-2">
                <div class="grid grid-cols-1 gap-8 md:grid-cols-2">
                    <div class="flex flex-col gap-4">
                        <div class="relative w-full zoom-container">
                            <!-- Main image that will be zoomed -->
                            <img id="main-image" src="<?php echo e($product_details->images->isNotEmpty() ? asset($product_details->images->first()->image) : asset('images/homepage/logo-header.webp')); ?>" alt="Main Image" class="w-full h-auto">

                            <!-- Zoom lens that will display the zoomed area -->
                            <div id="zoom-lens" class="zoom-lens"></div>
                        </div>

                        <div>
                            <div class="relative w-full">
                                <div class="relative swiper product-slide-carousel swiper-container">
                                    <div class="mb-16 swiper-wrapper">
                                        <?php $__currentLoopData = $product_details->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="swiper-slide">
                                            <div>
                                                <img onclick="updateMainImage(this)" class="p-2 bg-white cursor-pointer" src="<?php echo e(asset($image->image)); ?>" alt="Thumbnail">
                                            </div>
                                        </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="space-y-4">
                        <h1 class="text-2xl font-semibold"><?php echo e($product_details->name); ?></h1>
                        <h1 class="text-[#cf000f] font-semibold">₱<?php echo e(number_format($product_details->price, 2)); ?></h1>
                        <ul>
                            <li><span class="font-bold">Brand:</span> <?php echo e($product_details->brand->brand_name); ?></li>
                            <li><span class="font-bold">Category:</span> <?php echo e($product_details->category->name); ?></li>
                            <li><span class="font-bold">Stock:</span> <?php echo e($product_details->stock); ?></li>
                        </ul>
                        <div class="space-y-4">
                            <h1>Quantity:</h1>


                            <div class="flex items-center space-x-2">
                                <button type="button"
                                    class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white"
                                    onclick="decrementQuantity(<?php echo e($product_details->id); ?>)">-</button>
                                <span id="quantity-display-<?php echo e($product_details->id); ?>" class="px-4">1</span>
                                <button type="button"
                                    class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white"
                                    onclick="incrementQuantity(<?php echo e($product_details->id); ?>)">+</button>
                            </div>

                            <div class="flex flex-wrap items-center gap-4">

                                <input type="hidden" name="product_id" id="product-id-<?php echo e($product_details->id); ?>" value="<?php echo e($product_details->id); ?>">
                                <input type="hidden" id="quantity-<?php echo e($product_details->id); ?>" name="quantity" value="1">

                                <!-- Add to Cart Button -->
                                <button type="submit" onclick="addToCart(<?php echo e($product_details->id); ?>)" class="bg-[#cf000f] flex text-white rounded-full px-6 py-2">Add to Cart <img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt=""></button>


                                <?php if(Auth::check()): ?>
                                <button type="submit" onclick="addToWishlist(<?php echo e($product_details->id); ?>, <?php echo e(Auth::id()); ?>)" class="flex px-6 py-2 border border-[#cf000f] bg-white rounded-full">
                                    <img class="pr-4" src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                    Add to Wishlist </button>
                                <?php else: ?>
                                <a href="<?php echo e(url('wishlist')); ?>">
                                    <?php echo csrf_field(); ?>
                                    <button type="submit" class="flex px-6 py-2 border border-[#cf000f] bg-white rounded-full">
                                        <img class="pr-4" src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                        Add to Wishlist </button>
                                </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="grid grid-cols-1 lg:grid-cols-3">
                    <div
                        class="py-2 text-center bg-white border border-black cursor-pointer"
                        onclick="showTab('description')">
                        <h1 class="text-[#cf000f]">PRODUCT DETAILS</h1>
                    </div>
                    <div
                        class="py-2 text-center bg-white border border-black cursor-pointer"
                        onclick="showTab('reviews')">
                        <h1 class="text-[#cf000f]">REVIEWS</h1>
                    </div>
                    <div
                        class="py-2 text-center bg-white border border-black cursor-pointer"
                        onclick="showTab('shipping_and_returns')">
                        <h1 class="text-[#cf000f]">SHIPPING AND RETURNS</h1>
                    </div>
                </div>

                <div id="description" class="tab-content">
                    <?php echo $product_details->description; ?>

                </div>

                <div id="reviews" class="hidden tab-content">
                    <p></p>
                </div>

                <div id="shipping_and_returns" class="hidden tab-content">
                    <?php echo $product_details->shipping_and_returns; ?>

                </div>

                <script>
                    function showTab(tabId) {
                        // Hide all tab content
                        document.querySelectorAll('.tab-content').forEach((el) => el.classList.add('hidden'));

                        // Show the selected tab content
                        document.getElementById(tabId).classList.remove('hidden');
                    }
                </script>


            </div>
        </div>
        <hr data-aos="fade-up" data-aos-duration="1500" class="border-[#cf000f] my-4">
        <div data-aos="fade-up" data-aos-duration="1500" class="flex flex-wrap items-center justify-between">
            <h1 class="text-[#cf000f] font-bold">YOU MAY ALSO LIKE</h1>
            <a href="<?php echo e(url('shop')); ?>"> <button class="text-[#cf000f] flex items-center">View All Products <i class='text-2xl bx bx-chevron-right'></i></button></a>

        </div>
        <div data-aos="fade-up" data-aos-duration="1500">
            <div class="relative w-full">
                <div class="relative swiper multiple-slide-carousel swiper-container">
                    <div class="mb-16 swiper-wrapper">

                        <?php
                        $products = $products->shuffle(); // Shuffle the collection
                        ?>

                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($product->id != $product_details->id): ?> <!-- Check if the product ID is different from product_details ID -->
                        <div class="swiper-slide">
                            <div class="h-[26rem] group hover:shadow-xl hover:bg-white group-regular-product-<?php echo e($product->id); ?>">

                                <div class="flex flex-col w-full">
                                    <a href="<?php echo e(url('product_details', $product->id)); ?>">
                                        <img class="object-contain w-full p-4 bg-white h-60"
                                            src="<?php echo e($product->images->isNotEmpty() ? asset($product->images->first()->image) : asset('images/homepage/logo-header.webp')); ?>"
                                            alt="">
                                    </a>
                                    <div class="p-2 ">
                                        <div class="flex justify-between ">
                                            <div class="truncate ">
                                                <h1 class="inline-block w-full text-sm" style="max-width: 130px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;" title="<?php echo e($product->name); ?>">
                                                    <?php echo e($product->name); ?>

                                                </h1>
                                            </div>
                                            <div>
                                                <?php if(Auth::check()): ?>
                                                <button onclick="addToWishlist(<?php echo e($product->id); ?>, <?php echo e(Auth::id()); ?>)" class="focus:outline-none">
                                                    <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="Add to Wishlist">
                                                </button>
                                                <?php else: ?>
                                                <a href="<?php echo e(url('wishlist')); ?>">
                                                    <button type="button" class="focus:outline-none">
                                                        <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="Add to Wishlist">
                                                    </button>
                                                </a>
                                                <?php endif; ?>
                                            </div>
                                        </div>

                                        <p class="font-bold text-[#cf000f]">₱<?php echo e(number_format($product->price, 2)); ?></p>
                                    </div>
                                </div>


                                <div class="flex flex-col items-center hidden py-2 space-y-2 group-hover:flex">
                                    <input type="hidden" id="product-id-<?php echo e($product->id); ?>" value="<?php echo e($product->id); ?>">
                                    <input type="hidden" id="quantity-<?php echo e($product->id); ?>" value="1">

                                    <!-- Quantity controls -->
                                    <div class="flex items-center justify-center space-x-2">
                                        <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="decrementQuantity(<?php echo e($product->id); ?>)">-</button>
                                        <span id="quantity-display-<?php echo e($product->id); ?>" class="px-4">1</span>
                                        <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="incrementQuantity(<?php echo e($product->id); ?>)">+</button>
                                    </div>

                                    <!-- Add to Cart Button -->
                                    <button type="button" onclick="addToCart(<?php echo e($product->id); ?>)" class="bg-[#cf000f] text-white flex justify-between items-center rounded-full px-6 py-2 text-xs group-hover:flex">
                                        Add to Cart<img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt="Add to Cart">
                                    </button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>


    </div>
</div>


<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose(12-20-2024)\gardose\resources\views/product_details.blade.php ENDPATH**/ ?>