<div class="group hover:shadow-xl hover:bg-white group-regular-product-<?php echo e($product->id); ?>">
    <a href="<?php echo e(url('product_details', $product->id)); ?>">
        <div class="flex flex-col">
            <img class="object-contain p-4 bg-white h-60" src="<?php echo e(asset($product->images->first()->image)); ?>" alt="">
            <div class="px-2">
                <div class="flex items-center justify-between space-y-2">
                    <h1 class="text-sm"><?php echo e($product->name); ?></h1>
                    <?php if(Auth::check()): ?>
                    <form action="<?php echo e(route('wishlist.store', ['product_id' => $product->id, 'customer_id' => Auth::user()->id])); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <button type="submit">
                            <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                        </button>
                    </form>
                    <?php else: ?>
                    <a href="<?php echo e(url('wishlist')); ?>">
                        <button type="submit">
                            <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="Add to Wishlist">
                        </button>
                    </a>
                    <?php endif; ?>
                </div>
                <p class="font-bold text-[#cf000f]">₱<?php echo e(number_format($product->price, 2)); ?></p>
            </div>
        </div>
    </a>

    <form action="<?php echo e(route('cart.store')); ?>" method="POST" class="flex flex-col items-center hidden py-2 space-y-2 group-hover:flex">
        <?php echo csrf_field(); ?>
        <input type="hidden" name="product_id" value="<?php echo e($product->id); ?>">
        <input type="hidden" id="quantity-<?php echo e($product->id); ?>" name="quantity" value="1">

        <!-- Quantity controls -->
        <div class="flex items-center justify-center space-x-2">
            <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="decrementQuantity(<?php echo e($product->id); ?>)">-</button>
            <span id="quantity-display-<?php echo e($product->id); ?>" class="px-4">1</span>
            <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="incrementQuantity(<?php echo e($product->id); ?>)">+</button>
        </div>

        <!-- Add to Cart Button -->
        <button type="submit" class="bg-[#cf000f] text-white flex justify-between items-center rounded-full px-6 py-2 text-xs group-hover:flex">
            Add to Cart<img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt="Add to Cart">
        </button>
    </form>
</div>

<script>
    function incrementQuantity(productId) {
        const quantityInput = document.getElementById(`quantity-${productId}`);
        const quantityDisplay = document.getElementById(`quantity-display-${productId}`);
        let quantity = parseInt(quantityInput.value);

        quantity++;
        quantityInput.value = quantity;
        quantityDisplay.textContent = quantity;
    }

    function decrementQuantity(productId) {
        const quantityInput = document.getElementById(`quantity-${productId}`);
        const quantityDisplay = document.getElementById(`quantity-display-${productId}`);
        let quantity = parseInt(quantityInput.value);

        if (quantity > 1) { // Optional: Prevent quantity from going below 1
            quantity--;
            quantityInput.value = quantity;
            quantityDisplay.textContent = quantity;
        }
    }
</script><?php /**PATH D:\Markeh\Websites\gardose\resources\views/layouts/product.blade.php ENDPATH**/ ?>