<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="relative">
    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/about_us/img-banner.png')); ?>" alt="">
    <div class="relative text-center py-14">
        <h1 class="text-xl text-white">Home - About Us</h1>
    </div>
</div>

<div class="py-4 bg-gray-100">
    <div class="container max-w-screen-xl mx-auto">
        <div>
            <img src="<?php echo e(asset('images/about_us/img-promo.png')); ?>" alt="">
        </div>
        <div class="grid items-center grid-cols-1 gap-4 px-4 md:grid-cols-3">
            <div class="col-span-2 space-y-8">
                <h1 class="text-4xl">About Us</h1>
                <div>
                    <h1 class="text-[#cf000f] text-lg font-bold">OUR STORY</h1>
                    <p>Both former Employee and form OFW to being Partner and Business Owner, with no entrepreneurial experience, took a leap of faith and leveraged our shared vision and complementary strengths to establish a thriving retail drugstore.
                        <br>
                        <br>
                        In January 2019, we established Gardose Drugstore at the heart of Sta. Josefa, Agusan del Sur dedicated to providing excellent customer service and convenience to our community. With a focus on teamwork and adaptability, we have learned to navigate the challenges of entrepreneurship, from managing inventory and staffing to building relationship with local suppliers and customers.
                        <br>
                        <br>
                        Our humble beginnings have given us a unique perspective on what matters most; customer obsession, innovation, quality, and integrity. Through perseverance and determination, we have grown what we started from scratch, earning a reputation for excellence and trust amoung our customers.
                    </p>
                </div>
            </div>
            <div>
                <img src="<?php echo e(asset('images/about_us/img-about.png')); ?>" alt="">
            </div>
        </div>
        <div class="grid grid-cols-1 gap-8 px-4 py-8 md:grid-cols-2 lg:grid-cols-3">
            <div class="text-center border-t-4 shadow-xl border-t-[#cf000f] p-4 bg-white">
                <h1 class="text-[#cf000f] font-bold text-xl my-2">VISION</h1>
                <p>
                    To be one of the leading sustainable pharmacy chain recognized for our commitment to environmental stewardship, community engagement, and innovative health solutions.
                    <br>
                    <br>
                    We strive to inspire a culture of sustainability within our organization, our customers, and the wider community, ultimately making a positive impact on the environment and while ensuring exceptional patient care.
                </p>
            </div>
            <div class="text-center border-t-4 shadow-xl border-t-[#cf000f] p-4 bg-white">
                <h1 class="text-[#cf000f] font-bold text-xl my-2">MISSION</h1>
                <p>
                    In order to fulfill our vision, our mission is to provide high-quality healthcare products and services while minimizing our environmental footprint and promoting sustainability.
                    <br>
                    <br>
                    We strive to create a healthier community by reducing waste, conserving resources, and promoting eco-friendly practices in every aspect of our operations.
                </p>
            </div>
            <div class="text-center border-t-4 shadow-xl border-t-[#cf000f] p-4 bg-white">
                <h1 class="text-[#cf000f] font-bold text-xl my-2">OBJECTIVES</h1>
                <p>
                    Integrate sustainability into our core values, ensuring that our daily operations prioritize positive health outcomes to customers through patient-centered care approach, while minimizing environmental impact through carbon offsetting, conserving resources and innovative solutions that promote a healthier planet and healthier patients.
                </p>
            </div>
        </div>
    </div>
</div>


<div class="relative h-[45rem]">
    <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/about_us/bg-core-values.png')); ?>" alt="">
    <div class="container relative max-w-screen-xl px-4 py-12 mx-auto space-y-20 text-white">
        <div class="space-y-4 text-center">
            <h1>OUR CORE VALUES</h1>
            <h1 class="text-4xl">Your Trusted Partner for Health and Wellness</h1>
        </div>
        <div class="grid grid-cols-1 gap-8 md:grid-cols-2 lg:grid-cols-4">
            <div>
                <div class="border-2 border-white rounded-3xl group" onclick="toggleDescription('desc1')">
                    <div class="flex flex-col items-center justify-center px-4 py-8 space-y-8 text-center">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval1.webp')); ?>" alt="">
                        <h1 class="font-bold">Customer Obsession</h1>
                        <div id="desc1" class="hidden description">
                            <hr class="w-full my-2 border-white">
                            <p>Dedicated to delivering exceptional patient care, exceeding expectations, and fostering a lifelong relationship built on trust, empathy, and compassion</p>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <div class="border-2 border-white rounded-3xl group" onclick="toggleDescription('desc2')">
                    <div class="flex flex-col items-center justify-center px-4 py-8 space-y-8 text-center">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval2.webp')); ?>" alt="">
                        <h1 class="font-bold">Innovation</h1>
                        <div id="desc2" class="hidden description">
                            <hr class="w-full my-2 border-white">
                            <p>Empowering change through cutting-edge technologies, ensuring continuous improvement, and fostering a culture of creativity.</p>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <div class="border-2 border-white rounded-3xl group" onclick="toggleDescription('desc3')">
                    <div class="flex flex-col items-center justify-center px-4 py-8 space-y-8 text-center">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval3.webp')); ?>" alt="">
                        <h1 class="font-bold">Integrity</h1>
                        <div id="desc3" class="hidden description">
                            <hr class="w-full my-2 border-white">
                            <p>Upholding ethical standards, honesty, and transparency in every interaction and decision, building a foundation of trust.</p>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <div class="border-2 border-white rounded-3xl group" onclick="toggleDescription('desc4')">
                    <div class="flex flex-col items-center justify-center px-4 py-8 space-y-8 text-center">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval4.webp')); ?>" alt="">
                        <h1 class="font-bold">Quality</h1>
                        <div id="desc4" class="hidden description">
                            <hr class="w-full my-2 border-white">
                            <p>Committed to excellence, delivering the highest standards in patient care and services that exceed expectations.</p>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<script>
    function toggleDescription(id) {
        const description = document.getElementById(id);
        description.classList.toggle('hidden');
    }
</script>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto space-y-12">
        <h1 class="text-4xl font-semibold text-center">Achievements</h1>
        <div class="bg-white shadow-xl">
            <div class="grid items-center grid-cols-1 gap-8 px-12 py-4 md:grid-cols-2">
                <div class="space-y-4">
                    <h1 class="text-lg font-bold text-[#cf000f]">KMME 2024 <br> Kapatid Mentor ME (Micro Enterprise)</h1>
                    <ul class="list-disc">
                        <li>
                            Best Business Improvement Plan (BIP) in the Province of Agusan del Sur
                        </li>
                        <li>Highest Rated Business Improvement Plan (BIP) in CARAGA Region.</li>
                    </ul>
                    <p>Thru Negosyo Center and Department of Trade and Industry</p>
                </div>
                <div class="flex justify-center">
                    <img src="<?php echo e(asset('images/about_us/logo-dtimentorme.png')); ?>" alt="">
                </div>
            </div>
        </div>
        <div class="bg-white shadow-xl">
            <div class="grid items-center grid-cols-1 gap-8 px-12 py-4 md:grid-cols-2">
                <div class="space-y-4">
                    <h1 class="text-lg font-bold text-[#cf000f]">SEAL SEGA2024 <br> Small Enterprise Acceleration Lab</h1>
                    <ul class="list-disc">
                        <li>
                            Top 40 Startup Awardee in the Philippines
                        </li>
                    </ul>
                    <p>Thru BPI Foundation and Bayan Academy</p>
                </div>
                <div class="flex justify-center">
                    <img src="<?php echo e(asset('images/about_us/logo-sealsega.png')); ?>" alt="">
                </div>
            </div>
        </div>
        <div class="bg-white shadow-xl">
            <div class="grid items-center grid-cols-1 gap-8 px-12 py-4 md:grid-cols-2">
                <div class="space-y-4">
                    <h1 class="text-lg font-bold text-[#cf000f]">SHOPEE INTERNATIONAL PLATFORM</h1>
                    <ul class="list-disc">
                        <li>
                            Access to International Market (Malaysia and Singapore)
                        </li>
                    </ul>
                    <p>Thru Shopee</p>
                </div>
                <div class="flex justify-center">
                    <img src="<?php echo e(asset('images/about_us/img-shopee.png')); ?>" alt="">
                </div>
            </div>
        </div>
    </div>
</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/about_us.blade.php ENDPATH**/ ?>