<h1 class="font-bold">ORDER SUMMARY</h1>
<div class="flex items-center justify-between">
    <h1 class="font-bold">Product</h1>
    <p class="text-gray-500">Price</p>
</div>

<?php
$subtotal = collect($cartData)->sum('subtotal');
?>

<?php $__currentLoopData = $cartData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<div class="flex items-center justify-between text-gray-500">
    <h1><?php echo e($item['product_name']); ?> <span class="font-bold text-black">x<?php echo e($item['quantity']); ?></span></h1>
    <p>₱<?php echo e(number_format($item['subtotal'], 2)); ?></p>
</div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<hr class="my-4 border-gray-400">

<!-- Subtotal Calculation -->
<div class="flex items-center justify-between">
    <h1 class="font-bold">Subtotal</h1>
    <p class="text-gray-500">₱<?php echo e(number_format($subtotal, 2)); ?></p>
</div>

<hr class="my-4 border-gray-400">

<!-- Additional Charges -->
<?php
$shipping = 0; $discount = 40.00; $redeemedPoints = 40.00; $tax = 40.00;
$total = $subtotal + $shipping - $discount - $redeemedPoints + $tax;
?>
<div class="flex items-center justify-between text-gray-500">
    <h1>Shipping</h1>
    <p>₱<?php echo e(number_format($shipping, 2)); ?></p>
</div>
<div class="flex items-center justify-between text-gray-500">
    <h1>Discounts</h1>
    <p>-₱<?php echo e(number_format($discount, 2)); ?></p>
</div>
<div class="flex items-center justify-between text-gray-500">
    <h1>Tax</h1>
    <p>₱<?php echo e(number_format($tax, 2)); ?></p>
</div>

<hr class="my-4 border-gray-400">

<!-- Total -->
<div class="flex items-center justify-between">
    <h1 class="font-bold">Total</h1>
    <p>₱<?php echo e(number_format($total, 2)); ?></p>
</div>

<hr class="my-4 border-gray-400">

<!-- Terms Agreement -->
<p class="text-sm">
    Your personal data will be used to process your order, support your experience throughout this website, and for other purposes described in our
    <a href="#" class="underline text-[#cf000f]">privacy policy</a>.
</p>
<div class="flex items-start space-x-2">
    <input id="agree-terms" type="checkbox" class="w-4 h-4 text-blue-600 bg-white border-black rounded">
    <label for="agree-terms" class="text-sm text-black">
        I have read and agree to the website <a href="#" class="underline text-[#cf000f]">terms and conditions</a>.
    </label>
</div>

<!-- Submit Order -->
<div>
    <button type="submit" class="w-full p-2 text-white bg-[#cf000f] rounded-full">Place Order</button>
</div><?php /**PATH D:\Markeh\Websites\gardose\resources\views/layouts/order-summary.blade.php ENDPATH**/ ?>