<header class="bg-[#e4e4e4]">
    <div class="container max-w-screen-xl py-2 mx-auto">
        <div class="flex items-center justify-between">
            <div></div>
            <div>
                <h1 class="text-[#cf000f]">FREE SHIPPING ON ORDERS OVER ₱800</h1>
            </div>
            <div><i class='text-xl bx bx-x'></i></div>
        </div>


    </div>
</header>


<header class="bg-white border-b-2 border-b-black">
    <div class="container max-w-screen-xl py-2 mx-auto">
        <div class="flex flex-col items-center justify-between gap-4 lg:flex-row">
            <div>
                <h1 class="text-[#e4e4e4]">Need help? Call us: <span class="text-[#cf000f]">(+63) 0000 - 0000</span></h1>
            </div>
            <div class="flex items-center space-x-4">

                <div class="flex items-center space-x-1">
                    <div>
                        <img src="<?php echo e(asset('images/homepage/icon-bag.webp')); ?>" alt="">
                    </div>
                    <div>
                        <div class="<?php echo e(session('cart') && count(session('cart')) > 0 ? 'bg-[#cf000f]' : 'bg-[#e4e4e4]'); ?> text-white flex justify-center h-8 items-center w-8 rounded-full">
                            <?php echo e(session('cart') ? count(session('cart')) : 0); ?>

                        </div>

                    </div>
                </div>
                <div>
                    <a href="<?php echo e(url('cart')); ?>">
                        <button class="text-white bg-[#cf000f] rounded-full px-4 py-1">Checkout</button>
                    </a>

                </div>
            </div>
        </div>
    </div>
</header>

<nav class="container max-w-screen-xl mx-auto">
    <div class="flex flex-col items-center justify-between gap-8 py-4 lg:gap-20 lg:flex-row">
        <div>
            <img src="<?php echo e(asset('images/homepage/logo-header.webp')); ?>" alt="">
        </div>
        <form method="GET" action="<?php echo e(url('shop')); ?>" class="w-full">
            <div class="w-full">
                <div class="w-full rounded-lg">
                    <div class="flex">
                        <input type="text"
                            name="search" value="<?php echo e(request('search')); ?>" class="w-full bg-white pl-2  rounded-l-full font-semibold outline-0 border-[#cf000f]" placeholder="What are you looking for?" id="" />
                        <button type="submit" class="bg-[#cf000f] p-4 rounded-r-full  text-white font-semibold">SEARCH</button>
                    </div>
                </div>
            </div>
        </form>
        <div class="flex items-center space-x-4">
            <div class="relative flex flex-col items-center group">
                <div>
                    <img src="<?php echo e(asset('images/homepage/icon-account.webp')); ?>" alt="">
                </div>
                <div>
                    <h1 class="text-nowrap">My Account</h1>
                </div>

                <!-- Dropdown Menu -->
                <div class="absolute z-50 hidden bg-white rounded-md shadow-lg w-60 mt-14 group-hover:block">
                    <ul class="p-3 space-y-2">
                        <?php if(Auth::check() && Auth::user()->role === 'user'): ?>
                        <!-- Show Profile and Logout options for 'user' role -->
                        <a href="<?php echo e(url('user_dashboard')); ?>" class="block text-black rounded-md hover:text-[#cf000f]">
                            <li class="flex items-center justify-between px-4 py-2 rounded-md hover:bg-gray-200">
                                Profile
                                <i class='bx bx-chevron-right'></i>
                            </li>
                        </a>
                        <form method="POST" action="<?php echo e(route('logout')); ?>">
                            <?php echo csrf_field(); ?>
                            <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); this.closest('form').submit();" class="block text-black rounded-md hover:text-[#cf000f]">
                                <li class="flex items-center justify-between px-4 py-2 rounded-md hover:bg-gray-200">
                                    Logout
                                    <i class='bx bx-chevron-right'></i>
                                </li>
                            </a>
                        </form>

                        <?php else: ?>
                        <!-- Show Login and Sign Up options for non-authenticated users -->
                        <a href="<?php echo e(url('/login')); ?>" class="block text-black rounded-md hover:text-[#cf000f]">
                            <li class="flex items-center justify-between px-4 py-2 rounded-md hover:bg-gray-200">
                                Login
                                <i class='bx bx-chevron-right'></i>
                            </li>
                        </a>
                        <hr>
                        <a href="<?php echo e(url('/register')); ?>" class="block text-black rounded-md hover:text-[#cf000f]">
                            <li class="flex items-center justify-between px-4 py-2 rounded-md hover:bg-gray-200">
                                Sign Up
                                <i class='bx bx-chevron-right'></i>
                            </li>
                        </a>
                        <?php endif; ?>
                    </ul>
                </div>


            </div>
            <a href="<?php echo e(url('wishlist')); ?>">
                <div class="flex flex-col items-center">
                    <div>
                        <img src="<?php echo e(asset('images/homepage/icon-wishlist.webp')); ?>" alt="">
                    </div>
                    <div>
                        <h1 class="text-nowrap">Wish List</h1>
                    </div>
                </div>
            </a>

        </div>
    </div>
</nav>

<div class="antialiased bg-[#e4e4e4] ">
    <div class="w-full text-gray-700 bg-[#e4e4e4] ">
        <div x-data="{ open: false }" class="flex flex-col max-w-screen-xl px-4 mx-auto md:items-center md:justify-between md:flex-row md:px-6 lg:px-8">
            <div class="flex flex-row items-center justify-between ">
                <!-- Menu Button for Categories -->


                <?php if(Auth::check() && Auth::user()->role === 'user'): ?>
                <div class="relative w-auto lg:w-96">
                    <button id="categoriesButton" class="bg-[#cf000f] text-white w-full lg:w-full rounded-lg py-4 pl-6 flex items-center justify-between">
                        <span>MY ACCOUNT</span>
                        <i class="mx-6 bx bx-menu"></i>
                    </button>
                    <div id="categoriesDropdown" class="absolute left-0 z-10 hidden w-full p-2 mt-2 text-sm bg-white border border-gray-200 rounded-lg shadow-lg lg:w-full">
                        <ul class="flex flex-col space-y-4">
                            <a href="<?php echo e(url('/user_dashboard')); ?>" class="block px-4 py-2 hover:bg-gray-100">
                                <li class="flex items-center justify-between">
                                    <div class="flex items-center space-x-4">
                                        <div>
                                            <img src="<?php echo e(asset('images/account/icon-dashboard.png')); ?>" alt="">
                                        </div>
                                        <p>Dashboard</p>
                                    </div>
                                    <i class='bx bx-chevron-right'></i>
                                </li>
                            </a>
                            <hr>
                            <!-- User Account with Secondary Dropdown -->
                            <li class="relative block ">
                                <div id="userAccountButton" class="flex items-center justify-between px-4 py-2 cursor-pointer hover:bg-gray-100">
                                    <div class="flex items-center space-x-4">
                                        <div>
                                            <img src="<?php echo e(asset('images/account/icon-profile.png')); ?>" alt="">
                                        </div>
                                        <p>User Account</p>
                                    </div>
                                    <i class='bx bx-chevron-right'></i>
                                </div>
                                <!-- Secondary Dropdown (appearing below) -->
                                <ul id="userAccountDropdown" class="relative hidden w-full mt-2 space-y-2 text-sm bg-white">
                                    <a href="<?php echo e(url('/user_profile')); ?>" class="block px-4 py-2 hover:bg-gray-100 hover:text-[#cf000f]">Profile Settings</a>
                                    <a href="<?php echo e(url('/change_password')); ?>" class="block px-4 py-2 hover:bg-gray-100 hover:text-[#cf000f]">Change Password</a>
                                    <!-- <a href="<?php echo e(url('/payment_methods')); ?>" class="block px-4 py-2 hover:bg-gray-100 hover:text-[#cf000f]">Payment Methods</a> -->
                                </ul>
                            </li>
                            <hr>

                            <a href="<?php echo e(url('/rewards')); ?>" class="block px-4 py-2 hover:bg-gray-100">
                                <li class="flex items-center justify-between">
                                    <div class="flex items-center space-x-4">
                                        <div>
                                            <img src="<?php echo e(asset('images/account/icon-rewards.png')); ?>" alt="">
                                        </div>
                                        <p>Rewards & Discounts</p>
                                    </div>
                                    <i class='bx bx-chevron-right'></i>
                                </li>
                            </a>
                            <hr>
                            <a href="<?php echo e(url('/subscription')); ?>" class="block px-4 py-2 hover:bg-gray-100">
                                <li class="flex items-center justify-between">
                                    <div class="flex items-center space-x-4">
                                        <div>
                                            <img src="<?php echo e(asset('images/account/icon-subs.png')); ?>" alt="">
                                        </div>
                                        <p>Subscription</p>
                                    </div>
                                    <i class='bx bx-chevron-right'></i>
                                </li>
                            </a>
                        </ul>
                    </div>
                </div>



                <?php else: ?>
                <div class="relative w-auto md:w-auto">
                    <button id="categoriesButton" class="bg-[#cf000f] text-white w-full lg:w-auto rounded-lg py-4 px-6 flex items-center justify-between">
                        <i class="bx bx-menu"></i>
                        <span class="ml-2 lg:ml-6">ALL CATEGORIES</span>
                    </button>
                    <div id="categoriesDropdown" class="absolute left-0 z-10 hidden w-full p-2 mt-2 text-sm bg-white border border-gray-200 rounded-lg shadow-lg lg:w-full">
                        <ul class="flex flex-col">
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Medicine" class="flex items-center justify-between">Medicine <i class='bx bx-chevron-right'></i></a></li>
                            <hr>
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Beauty" class="flex items-center justify-between">Beauty <i class='bx bx-chevron-right'></i></a></li>
                            <hr>
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Personal Care" class="flex items-center justify-between">Personal Care <i class='bx bx-chevron-right'></i></a></a></li>
                            <hr>
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Home Remedies" class="flex items-center justify-between">Home Remedies <i class='bx bx-chevron-right'></i></a></a></li>
                            <hr>
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Baby Essentials" class="flex items-center justify-between">Baby Essentials <i class='bx bx-chevron-right'></i></a></a></li>
                            <hr>
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Vitamins and Supplements" class="flex items-center justify-between">Vitamins and Supplements <i class='bx bx-chevron-right'></i></a></a></li>
                            <hr>
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Medical Equipement" class="flex items-center justify-between">Medical Equipment <i class='bx bx-chevron-right'></i></a></a></li>
                            <hr>
                            <li class="block px-4 py-2 hover:bg-gray-100"><a href="<?php echo e(url('shop')); ?>?category=Pet Care" class="flex items-center justify-between">Pet Care <i class='bx bx-chevron-right'></i></a></a></li>
                        </ul>
                    </div>
                </div>
                <?php endif; ?>

                <button class="rounded-lg md:hidden focus:outline-none focus:shadow-outline" @click="open = !open">
                    <svg fill="currentColor" viewBox="0 0 20 20" class="w-6 h-6">
                        <path x-show="!open" fill-rule="evenodd" d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM9 15a1 1 0 011-1h6a1 1 0 110 2h-6a1 1 0 01-1-1z" clip-rule="evenodd"></path>
                        <path x-show="open" fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path>
                    </svg>
                </button>
            </div>
            <nav :class="{'flex': open, 'hidden': !open}" class="flex-col flex-grow hidden pb-4 md:pb-0 md:flex md:justify-end md:flex-row">
                <a class="px-4 py-2 mt-2 font-semibold bg-transparent rounded-lg text-md md:mt-0 md:ml-4" href="<?php echo e(url('')); ?>">Home</a>
                <a class="px-4 py-2 mt-2 font-semibold bg-transparent rounded-lg text-md md:mt-0 md:ml-4" href="<?php echo e(url('/about_us')); ?>">About Us</a>
                <a class="px-4 py-2 mt-2 font-semibold bg-transparent rounded-lg text-md md:mt-0 md:ml-4" href="<?php echo e(url('/shop')); ?>">Shop</a>
                <a class="px-4 py-2 mt-2 font-semibold bg-transparent rounded-lg text-md md:mt-0 md:ml-4" href="<?php echo e(url('/blogs')); ?>">Blogs</a>
                <a class="px-4 py-2 mt-2 font-semibold bg-transparent rounded-lg text-md md:mt-0 md:ml-4" href="<?php echo e(url('/contact_us')); ?>">Contact Us</a>
            </nav>
        </div>
    </div>
</div>

<script>
    // Toggle dropdown visibility
    document.getElementById("categoriesButton").addEventListener("click", function() {
        const dropdown = document.getElementById("categoriesDropdown");
        dropdown.classList.toggle("hidden");
    });

    // Close dropdown if clicked outside
    document.addEventListener("click", function(event) {
        const isClickInside = document.getElementById("categoriesButton").contains(event.target);
        const dropdown = document.getElementById("categoriesDropdown");
        if (!isClickInside && !dropdown.contains(event.target)) {
            dropdown.classList.add("hidden");
        }
    });
    // Toggle secondary dropdown for "User Account"
    document.getElementById('userAccountButton').addEventListener('click', function(event) {
        event.stopPropagation(); // Prevents closing the main dropdown
        const userDropdown = document.getElementById('userAccountDropdown');
        userDropdown.classList.toggle('hidden');
    });
</script><?php /**PATH D:\Markeh\Websites\gardose\resources\views/layouts/navbar.blade.php ENDPATH**/ ?>