<div class="h-[27rem] group hover:shadow-xl hover:bg-white group-regular-product-<?php echo e($product->id); ?>">

    <div class="flex flex-col w-full">
        <a href="<?php echo e(url('product_details', $product->id)); ?>">
            <img class="object-cover w-full  bg-transparent h-60 "
                src="<?php echo e($product->images->isNotEmpty() ? asset($product->images->first()->image) : asset('images/homepage/logo-header.webp')); ?>"
                alt="">
        </a>
        <div class="p-2 ">
            <div class="flex justify-between ">
                <div class=" ">
                    <h1 class="w-full text-sm line-clamp-2" title="<?php echo e($product->name); ?>">
                        <?php echo e($product->name); ?>

                    </h1>
                </div>
               
            </div>

            <p class="font-bold text-[#cf000f]">₱<?php echo e(number_format($product->price, 2)); ?></p>
        </div>
    </div>


    <div class="flex flex-col items-center   md:hidden py-2 space-y-2 group-hover:flex">
        <input type="hidden" id="product-id-<?php echo e($product->id); ?>" value="<?php echo e($product->id); ?>">
        <input type="hidden" id="quantity-<?php echo e($product->id); ?>" value="1">

        <!-- Quantity controls -->
        <div class="flex items-center justify-center space-x-2">
            <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="decrementQuantity(<?php echo e($product->id); ?>)">-</button>
            <span id="quantity-display-<?php echo e($product->id); ?>" class="px-4">1</span>
            <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="incrementQuantity(<?php echo e($product->id); ?>)">+</button>
        </div>

        <!-- Add to Cart Button -->
        <div class="flex flex-row gap-2 items-center p-2">
            <div>
                <button type="button" onclick="addToCart(<?php echo e($product->id); ?>)" class="bg-[#cf000f] text-white flex justify-between items-center rounded-full px-4 py-2 text-xs group-hover:flex">
                    Add to Cart<img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt="Add to Cart">
                </button>
            </div>
            
            <div>
                <?php if(Auth::check()): ?>
                <button onclick="addToWishlist(<?php echo e($product->id); ?>, <?php echo e(Auth::id()); ?>)" class="focus:outline-none">
                    <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="Add to Wishlist">
                </button>
                <?php else: ?>
                <a href="<?php echo e(url('wishlist')); ?>">
                    <button type="button" class="focus:outline-none">
                        <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="Add to Wishlist">
                    </button>
                </a>
                <?php endif; ?>
            </div>
            
        </div>
       
    </div>
</div><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/layouts/product.blade.php ENDPATH**/ ?>