<div class="space-y-4">
    <div class="p-4 space-y-4 bg-white">

        <h1 class="font-semibold text-[#cf000f]">FILTER BY</h1>
        <div>
            <form method="GET" action="<?php echo e(url('blogs')); ?>">
                <label for="category">Category</label>
                <select name="category" id="category" class="w-full h-full p-2 rounded border border-[#cf000f]" onchange="this.form.submit()">
                    <option value="" selected>Select Category</option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($category->id); ?>" <?php echo e(request('category') == $category->id ? 'selected' : ''); ?>>
                        <?php echo e($category->name); ?>

                    </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </form>
        </div>
        <div class="flex flex-wrap gap-2">
            <?php if(request('category')): ?>
            <?php
            // Find the category name based on the selected category ID
            $selectedCategory = $categories->firstWhere('id', request('category'));
            ?>
            <?php if($selectedCategory): ?>
            <a href="<?php echo e(url('blogs')); ?>" class="flex items-center px-4 py-1 bg-gray-200 rounded">
                <?php echo e($selectedCategory->name); ?> <i class='bx bx-x text-[#cf000f]'></i>
            </a>
            <?php endif; ?>
            <?php endif; ?>
        </div>
    </div>


    <div class="p-4 bg-white">
        <h1 class="font-semibold text-[#cf000f]">RECENT POSTS</h1>
        <div class="space-y-4">
            <?php $__currentLoopData = $allblogs->sortByDesc('created_at')->take(4); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div>
                <a href="<?php echo e(url('/blogs_details', $blog->id)); ?>">
                    <div class="flex items-center gap-4">
                        <div>
                            <img class="w-20" src="<?php echo e(asset($blog->image)); ?>" alt="">
                        </div>
                        <div class="text-md">
                            <h1><?php echo e($blog->created_at->format('F d, Y')); ?></h1>
                            <h1 class="font-bold"><?php echo e($blog->title); ?></h1>
                        </div>
                    </div>
                </a>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </div>
    </div>

    <div class="relative">
        <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-3.webp')); ?>" alt="">
        <div class="relative px-8 pt-40 pb-12 space-y-8">
            <h1 class="font-bold text-gray-700">10% off all mobility aids and <br> assistive devices.</h1>
            <h1 class="text-2xl font-semibold">Enhance Your <br> Independence with <br> Our Discount.</h1>
            <div>
                <a href="<?php echo e(url('/shop')); ?>">
                    <h1 class="text-lg text-white underline">Shop Now</h1>
                </a>
            </div>
        </div>
    </div>
    <div class="relative">
        <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-4.webp')); ?>" alt="">
        <div class="relative px-8 pt-12 space-y-8 pb-60">
            <button class="bg-[#cf000f] p-2 rounded text-sm text-white">BEST OFFER</button>
            <div>
                <h1 class="text-xl font-bold text-[#cf000f]">FREE SHIPPING</h1>
                <h1 class=" text-md">
                    on Your Child's <br> Essential Vitamins
                </h1>
            </div>
            <div>
                <a href="<?php echo e(url('/shop')); ?>">
                    <h1 class="underline text-[#cf000f] font-semibold">Shop Now</h1>
                </a>
            </div>
        </div>
    </div>
</div><?php /**PATH D:\Markeh\Websites\gardose\resources\views/layouts/blogs_filter.blade.php ENDPATH**/ ?>