<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\AppLayout::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="container max-w-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold text-center">
            <?php echo e(isset($subscription) ? 'Edit Subscription' : 'Create Subscription'); ?>

        </h1>

        <form action="<?php echo e(isset($subscription) ? route('update.subscriptions', $subscription->id) : route('subscriptions.store')); ?>"
            method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <?php if(isset($subscription)): ?>
            <?php echo method_field('PUT'); ?>
            <?php endif; ?>

            <!-- Full Name -->
            <div class="mb-4">
                <label for="full_name" class="block text-sm font-medium text-gray-700">Full Name</label>
                <input type="text" class="block w-full p-2 mt-1 border-gray-300 rounded-md shadow-sm focus:ring-[#cf000f] focus:border-[#cf000f] sm:text-sm"
                    id="full_name" name="full_name" value="<?php echo e(old('full_name', $subscription->full_name ?? '')); ?>" required>
            </div>

            <!-- Email -->
            <div class="mb-4">
                <label for="email" class="block text-sm font-medium text-gray-700">Email</label>
                <input type="email" class="block w-full p-2 mt-1 border-gray-300 rounded-md shadow-sm focus:ring-[#cf000f] focus:border-[#cf000f] sm:text-sm"
                    id="email" name="email" value="<?php echo e(old('email', $subscription->email ?? '')); ?>" required>
            </div>

            <!-- Phone Number -->
            <div class="mb-4">
                <label for="phone_number" class="block text-sm font-medium text-gray-700">Phone Number</label>
                <input type="text" class="block w-full p-2 mt-1 border-gray-300 rounded-md shadow-sm focus:ring-[#cf000f] focus:border-[#cf000f] sm:text-sm"
                    id="phone_number" name="phone_number" value="<?php echo e(old('phone_number', $subscription->phone_number ?? '')); ?>">
            </div>

            <!-- Date Received -->
            <div class="mb-4">
                <label for="date_received" class="block text-sm font-medium text-gray-700">Date Received</label>
                <input type="date" class="block w-full p-2 mt-1 border-gray-300 rounded-md shadow-sm focus:ring-[#cf000f] focus:border-[#cf000f] sm:text-sm"
                    id="date_received" name="date_received" value="<?php echo e(old('date_received', $subscription->date_received ?? '')); ?>">
            </div>

            <!-- Delivery Frequency -->
            <div class="mb-4">
                <label class="block text-sm font-medium text-gray-700">Delivery Frequency</label>
                <div class="flex items-center mt-2 space-x-2">
                    <input type="radio" id="delivery_frequency_weekly" name="delivery_frequency" value="7"
                        <?php echo e(old('delivery_frequency', $subscription->delivery_frequency ?? '') == '7' ? 'checked' : ''); ?>

                        class="border border-gray-500 rounded-full">
                    <label for="delivery_frequency_weekly">Weekly</label>
                </div>
                <div class="flex items-center mt-2 space-x-2">
                    <input type="radio" id="delivery_frequency_biweekly" name="delivery_frequency" value="14"
                        <?php echo e(old('delivery_frequency', $subscription->delivery_frequency ?? '') == '14' ? 'checked' : ''); ?>

                        class="border border-gray-500 rounded-full">
                    <label for="delivery_frequency_biweekly">Bi-Weekly</label>
                </div>
                <div class="flex items-center mt-2 space-x-2">
                    <input type="radio" id="delivery_frequency_monthly" name="delivery_frequency" value="30"
                        <?php echo e(old('delivery_frequency', $subscription->delivery_frequency ?? '') == '30' ? 'checked' : ''); ?>

                        class="border border-gray-500 rounded-full">
                    <label for="delivery_frequency_monthly">Monthly</label>
                </div>
            </div>
            <!-- Prescription -->
            <div class="mb-4">
                <label for="prescription" class="block text-sm font-medium text-gray-700">Prescription</label>
                <textarea rows="4" class="block w-full p-2 mt-1 border-gray-300 rounded-md shadow-sm focus:ring-[#cf000f] focus:border-[#cf000f] sm:text-sm"
                    id="prescription" name="prescription"><?php echo e(old('prescription', $subscription->prescription ?? '')); ?></textarea>
            </div>

            <!-- Upload Prescription -->
            <div class="mb-4">
                <label for="upload_prescription" class="block text-sm font-medium text-gray-700">Upload Prescription</label>
                <input type="file" class="block w-full mt-1 text-sm text-gray-500 file:mr-4 file:py-2 file:px-4 file:rounded-md file:border-0 file:text-sm file:font-semibold file:bg-indigo-50 file:text-gray-500 hover:file:bg-indigo-100"
                    id="upload_prescription" name="upload_prescription">
                <?php if(isset($subscription->upload_prescription)): ?>
                <a href="<?php echo e(asset($subscription->upload_prescription)); ?>" target="_blank" class="text-gray-500 hover:underline">View current prescription</a>
                <?php endif; ?>
            </div>

            <!-- Discount Proof -->
            <div class="mb-4">
                <label for="discount_proof" class="block text-sm font-medium text-gray-700">Discount Proof</label>
                <input type="file" class="block w-full mt-1 text-sm text-gray-500 file:mr-4 file:py-2 file:px-4 file:rounded-md file:border-0 file:text-sm file:font-semibold file:bg-indigo-50 file:text-gray-500 hover:file:bg-indigo-100"
                    id="discount_proof" name="discount_proof">
                <?php if(isset($subscription->discount_proof)): ?>
                <a href="<?php echo e(asset($subscription->discount_proof)); ?>" target="_blank" class="text-gray-500 hover:underline">View current discount proof</a>
                <?php endif; ?>
            </div>

            <!-- Submit Button -->
            <div class="flex justify-center">
                <button type="submit" class="px-6 py-2 font-semibold text-white bg-[#cf000f] rounded-md shadow-sm hover:bg-[#cf000f] focus:outline-none focus:ring-2 focus:ring-[#cf000f] focus:ring-offset-2">
                    <?php echo e(isset($subscription) ? 'Update Subscription' : 'Create Subscription'); ?>

                </button>
            </div>
        </form>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/admin/subscriptions/edit_subscription.blade.php ENDPATH**/ ?>